Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision fa2e6935d752ce276379bd57a1e8820cdda7ad9c)
+++ chapter01/changelog.xml	(revision 980599daa5efe817c304e3bbc64d82335c9475c4)
@@ -125,7 +125,6 @@
 directions provided by Anderson Lizardo.</para></listitem>
 
-<listitem><para>September 11th, 2003 [jwrober]: Small textual change in the Ch5 
-lockin Glibc page for /lib/ld.so.1 provided by Anderson 
-Lizardo.</para></listitem>
+<listitem><para>September 11th, 2003 [jwrober]: Small textual change in the Ch5
+lockin Glibc page for /lib/ld.so.1 provided by Anderson Lizardo.</para></listitem>
 
 <listitem><para>September 11th, 2003 [jeremy]: Added bootloader setup to
@@ -141,6 +140,6 @@
 from CVS, to fix pwlib compilation problems</para></listitem>
 
-<listitem><para>September 11th, 2003 [jeremy]: Added Greg's patch to gcc to
-suppress the installation of libiberty, and changed binutils to allow it's
+<listitem><para>September 11th, 2003 [jeremy]: Added Greg's patch to GCC to
+suppress the installation of libiberty, and changed Binutils to allow its
 libiberty to stay.</para></listitem>
 
@@ -160,12 +159,14 @@
 <listitem><para>September 9th, 2003 [jeremy]: Chapter 6 - Coreutils:
 Added coreutils-5.0-hostname-2.patch, which suppresses the build of the
-hostname binary, and also suppresses it's check.</para></listitem>
+hostname binary, and also suppresses its check.</para></listitem>
 
 <listitem><para>September 9th, 2003 [jeremy]: Added some notes regarding failed
-tests to glibc and dejagnu.</para></listitem>
-
-<listitem><para>September 9th, 2003 [jeremy]: Glibc - Added commands to both chapter 5 and 6 to include minimum locales necessary for checks.</para></listitem>
-
-<listitem><para>September 9th, 2003 [jeremy]: Chapter 6 - Removed zlib's
+tests to Glibc and Dejagnu.</para></listitem>
+
+<listitem><para>September 9th, 2003 [jeremy]: Glibc - Added commands to both
+Chapter 5 and 6 to include minimum locales necessary for
+checks.</para></listitem>
+
+<listitem><para>September 9th, 2003 [jeremy]: Chapter 6 - Removed Zlib's
 munging of CFLAGS in favor of a note to add -fPIC.</para></listitem>
 
@@ -186,7 +187,6 @@
 by default.</para></listitem>
 
-<listitem><para>September 5th, 2003 [jeremy]: Chapter 6 - GCC:
-Corrected wording to reflect the removal of the /usr/lib/cpp symlink
-</para></listitem>
+<listitem><para>September 5th, 2003 [jeremy]: Chapter 6 - GCC: Corrected
+wording to reflect the removal of the /usr/lib/cpp symlink.</para></listitem>
 
 <listitem><para>September 5th, 2003 [jeremy]: Corrected perl libc patch to -2,
@@ -195,5 +195,6 @@
 <listitem><para>September 5th, 2003 [matt]: Chapter 6 - Updated gcc specs patch
 and upgraded to man-1.5m2</para></listitem>
-<listitem><para>September 4th, 2003 [jeremy]: Chapter 6 - Creating 
+
+<listitem><para>September 4th, 2003 [jeremy]: Chapter 6 - Creating
 Directories: Eliminated the creation of /usr/tmp - Closes bug 176.</para></listitem>
 
@@ -471,5 +472,5 @@
 <listitem><para>May 12th, 2003 [winkie]: Chapter 05 &amp; 06 - Installing
 Ncurses: In Chapter 6, symlink creation has been updated to include
-libcurses.*, and libncurses++.a has it's properties changed to 644.
+libcurses.*, and libncurses++.a has its properties changed to 644.
 Chapter 5 doesn't need any libcurses.* so those are removed.</para></listitem>
 
@@ -533,5 +534,5 @@
 
 <listitem><para>May 11th, 2003 [winkie]: Chapter 06 - Installing Procps:
-Removed XSCPT="" cruft and it's corresponding paragraph. This stuff
+Removed XSCPT="" cruft and its corresponding paragraph. This stuff
 isn't needed anymore.</para></listitem>
 
Index: chapter05/grep-inst.xml
===================================================================
--- chapter05/grep-inst.xml	(revision fa2e6935d752ce276379bd57a1e8820cdda7ad9c)
+++ chapter05/grep-inst.xml	(revision 980599daa5efe817c304e3bbc64d82335c9475c4)
@@ -13,9 +13,10 @@
 <itemizedlist>
 <listitem><para><userinput>--disable-perl-regexp</userinput>: This makes sure
-that grep does not get linked against a PCRE library that may be present on
-the host, but would not be available once we enter the chroot environment.</para></listitem>
+that <userinput>grep</userinput> does not get linked against a PCRE library
+that may be present on the host, but would not be available once we enter the
+chroot environment.</para></listitem>
 <listitem><para><userinput>--with-included-regex</userinput>: This ensures that
-grep uses it's internal regular expression code.  Without it, it will use
-the code from glibc, which is known to be slightly buggy.</para></listitem>
+Grep uses its internal regular expression code.  Without it, it will use
+the code from Glibc, which is known to be slightly buggy.</para></listitem>
 </itemizedlist>
 
Index: chapter05/ncurses-inst.xml
===================================================================
--- chapter05/ncurses-inst.xml	(revision fa2e6935d752ce276379bd57a1e8820cdda7ad9c)
+++ chapter05/ncurses-inst.xml	(revision 980599daa5efe817c304e3bbc64d82335c9475c4)
@@ -21,8 +21,8 @@
 
 <itemizedlist>
-<listitem><para><userinput>--without-ada</userinput>: This tells ncurses not
-to build it's Ada bindings, even if an Ada compiler is installed on the host.
-This must be done because once we enter the chroot, Ada will no longer be
-available.</para></listitem>
+<listitem><para><userinput>--without-ada</userinput>: This tells Ncurses not
+to build its Ada bindings, even if an Ada compiler is installed on the host.
+This must be done because once we enter the chroot environment, Ada will no
+longer be available.</para></listitem>
 </itemizedlist>
 
Index: chapter06/zlib-inst.xml
===================================================================
--- chapter06/zlib-inst.xml	(revision fa2e6935d752ce276379bd57a1e8820cdda7ad9c)
+++ chapter06/zlib-inst.xml	(revision 980599daa5efe817c304e3bbc64d82335c9475c4)
@@ -14,8 +14,8 @@
 <para><screen><userinput>./configure --prefix=/usr --shared</userinput></screen></para>
 
-<para>Note:  Zlib is known to build it's shared library incorrectly
-if a CFLAGS is specified in the environment.  If you are using your
-own CFLAGS variables, ensure you add the <emphasis role="strong">-fPIC</emphasis>
-directive during this stage, and remove it after.</para>
+<para>Note: Zlib is known to build its shared library incorrectly if a CFLAGS
+is specified in the environment. If you are using your own CFLAGS variables,
+ensure you add the <emphasis role="strong">-fPIC</emphasis> directive during
+this stage, and remove it afterwards.</para>
 
 <para>Compile the package:</para>
Index: chapter08/grub.xml
===================================================================
--- chapter08/grub.xml	(revision fa2e6935d752ce276379bd57a1e8820cdda7ad9c)
+++ chapter08/grub.xml	(revision 980599daa5efe817c304e3bbc64d82335c9475c4)
@@ -8,10 +8,10 @@
 <para><screen><userinput>grub</userinput></screen></para>
 
-<para>Grub uses it's own naming structure for drives, in the form of hd(a,b),
-where a is the hard drive number, and b is the partition number, both of which
-start from zero.  So, partition hda1 would be (hd0,0) to grub, and hdb2 would
+<para>Grub uses its own naming structure for drives, in the form of (hdn,m),
+where n is the hard drive number, and m is the partition number, both of which
+start from zero.  So, partition hda1 would be (hd0,0) to Grub, and hdb2 would
 be (hd1,1).  Also, Grub doesn't pay attention to CDROM drives at all, so if,
 for example, you have a CD on hdb, and a second hard drive on hdc, partitions
-on that second hard drive would still be (hd1,b).</para>
+on that second hard drive would still be (hd1,m).</para>
 
 <para>So, using the information above, select the appropriate designator for
@@ -23,5 +23,5 @@
 quit</userinput></screen></para>
 
-<para>This tells grub to look for its files on hda4 (hd0,3), and install itself
+<para>This tells Grub to look for its files on hda4 (hd0,3), and install itself
 into the MBR (Master Boot Record) of hda.</para>
 
@@ -68,7 +68,8 @@
 EOF</userinput></screen></para>
 
-<para>You can find more info regarding Grub on it's web site, located at:
-<ulink url="http://www.gnu.org/software/grub"/>, as well as the LFS Grub HOWTO
-located at: <ulink url="http://www.linuxfromscratch.org/hints/downloads/files/grub-howto.txt"/>.</para>
+<para>You can find more info regarding Grub on its web site, located at:
+<ulink url="http://www.gnu.org/software/grub"/>, as well as in the LFS Grub
+HOWTO located at:
+<ulink url="http://www.linuxfromscratch.org/hints/downloads/files/grub-howto.txt"/>.</para>
 
 </sect1>