Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
+++ appendices/dependencies.xml	(revision 98398080e04c50c20814069ef0400e87d46bf7aa)
@@ -433,4 +433,40 @@
       </segmentedlist>
 
+<!-- Begin D-Bus dependency info -->
+  <bridgehead renderas="sect2" id="dbus-dep">D-Bus</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
+         Make, Sed, and Util-linux</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Xorg Libs</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin DejaGNU dependency info -->
   <bridgehead renderas="sect2" id="dejagnu-dep">DejaGNU</bridgehead>
@@ -501,40 +537,4 @@
         <seglistitem>
           <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-<!-- Begin Eudev dependency info -->
-  <bridgehead renderas="sect2" id="ieudev-dep">Eudev</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
-         Kmod, Make, Sed, and Util-linux</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&external;</segtitle>
-
-        <seglistitem>
-          <seg>Glib, Pci-Utils, Python, USB-Utils</seg>
         </seglistitem>
       </segmentedlist>
@@ -2154,4 +2154,41 @@
       </segmentedlist>
 
+<!-- Begin systemd dependency info -->
+  <bridgehead renderas="sect2" id="systemd-dep">Systemd</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>Acl, Attr, Bash, Binutils, Coreutils, Diffutils, Expat, Gawk, 
+         GCC, Glibc, Gperf, Grep, Intltool, Libcap,
+         Make, Sed, and Util-linux</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Sysvinit dependency info -->
   <bridgehead renderas="sect2" id="sysvinit-dep">Sysvinit</bridgehead>
Index: bootscripts/lfs/init.d/mountvirtfs
===================================================================
--- bootscripts/lfs/init.d/mountvirtfs	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
+++ bootscripts/lfs/init.d/mountvirtfs	(revision 98398080e04c50c20814069ef0400e87d46bf7aa)
@@ -57,7 +57,4 @@
       fi
 
-      # Copy devices that Udev >= 155 doesn't handle to /dev
-      cp -a /lib/udev/devices/* /dev
-
       ln -sfn /run/shm /dev/shm
       
Index: bootscripts/lfs/init.d/udev
===================================================================
--- bootscripts/lfs/init.d/udev	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
+++ bootscripts/lfs/init.d/udev	(revision 98398080e04c50c20814069ef0400e87d46bf7aa)
@@ -50,5 +50,5 @@
       # Start the udev daemon to continually watch for, and act on,
       # uevents
-      /lib/systemd-udevd --daemon
+      /lib/systemd/systemd-udevd --daemon
 
       # Now traverse /sys in order to "coldplug" devices that have
Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
+++ chapter03/packages.xml	(revision 98398080e04c50c20814069ef0400e87d46bf7aa)
@@ -167,22 +167,5 @@
       </listitem>
     </varlistentry>
-<!--
-    <varlistentry>
-      <term>Eudev (&eudev-version;) - <token>&eudev-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&eudev-home;"/></para>
-        <para>Download: <ulink url="&eudev-url;"/></para>
-        <para>MD5 sum: <literal>&eudev-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Eudev Manpages (&eudev-version;) - <token>&eudev-manpages-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&eudev-manpages-url;"/></para>
-        <para>MD5 sum: <literal>&eudev-manpages-md5;</literal></para>
-      </listitem>
-    </varlistentry>
--->
+
     <varlistentry>
       <term>File (&file-version;) - <token>&file-size;</token>:</term>
@@ -330,4 +313,67 @@
 
     <varlistentry>
+      <term>Inetutils (&inetutils-version;) - <token>&inetutils-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&inetutils-home;"/></para>
+        <para>Download: <ulink url="&inetutils-url;"/></para>
+        <para>MD5 sum: <literal>&inetutils-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>Intltool (&intltool-version;) - <token>&intltool-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&intltool-home;"/></para>
+        <para>Download: <ulink url="&intltool-url;"/></para>
+        <para>MD5 sum: <literal>&intltool-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>IPRoute2 (&iproute2-version;) - <token>&iproute2-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&iproute2-home;"/></para>
+        <para>Download: <ulink url="&iproute2-url;"/></para>
+        <para>MD5 sum: <literal>&iproute2-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>Kbd (&kbd-version;) - <token>&kbd-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&kbd-home;"/></para>
+        <para>Download: <ulink url="&kbd-url;"/></para>
+        <para>MD5 sum: <literal>&kbd-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>Kmod (&kmod-version;) - <token>&kmod-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&kmod-home;"/></para>
+        <para>Download: <ulink url="&kmod-url;"/></para>
+        <para>MD5 sum: <literal>&kmod-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>Less (&less-version;) - <token>&less-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&less-home;"/></para>
+        <para>Download: <ulink url="&less-url;"/></para>
+        <para>MD5 sum: <literal>&less-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>LFS-Bootscripts (&lfs-bootscripts-version;) - <token>&lfs-bootscripts-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&lfs-bootscripts-home;"/></para>
+        <para>Download: <ulink url="&lfs-bootscripts-url;"/></para>
+        <para>MD5 sum: <literal>&lfs-bootscripts-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>Libcap (&libcap-version;) - <token>&libcap-size;</token>:</term>
       <listitem>
@@ -335,67 +381,4 @@
         <para>Download: <ulink url="&libcap-url;"/></para>
         <para>MD5 sum: <literal>&libcap-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Inetutils (&inetutils-version;) - <token>&inetutils-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&inetutils-home;"/></para>
-        <para>Download: <ulink url="&inetutils-url;"/></para>
-        <para>MD5 sum: <literal>&inetutils-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Intltool (&intltool-version;) - <token>&intltool-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&intltool-home;"/></para>
-        <para>Download: <ulink url="&intltool-url;"/></para>
-        <para>MD5 sum: <literal>&intltool-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>IPRoute2 (&iproute2-version;) - <token>&iproute2-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&iproute2-home;"/></para>
-        <para>Download: <ulink url="&iproute2-url;"/></para>
-        <para>MD5 sum: <literal>&iproute2-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Kbd (&kbd-version;) - <token>&kbd-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&kbd-home;"/></para>
-        <para>Download: <ulink url="&kbd-url;"/></para>
-        <para>MD5 sum: <literal>&kbd-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Kmod (&kmod-version;) - <token>&kmod-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&kmod-home;"/></para>
-        <para>Download: <ulink url="&kmod-url;"/></para>
-        <para>MD5 sum: <literal>&kmod-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Less (&less-version;) - <token>&less-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&less-home;"/></para>
-        <para>Download: <ulink url="&less-url;"/></para>
-        <para>MD5 sum: <literal>&less-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>LFS-Bootscripts (&lfs-bootscripts-version;) - <token>&lfs-bootscripts-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&lfs-bootscripts-home;"/></para>
-        <para>Download: <ulink url="&lfs-bootscripts-url;"/></para>
-        <para>MD5 sum: <literal>&lfs-bootscripts-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: chapter07/introduction.xml
===================================================================
--- chapter07/introduction.xml	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
+++ chapter07/introduction.xml	(revision 98398080e04c50c20814069ef0400e87d46bf7aa)
@@ -183,5 +183,5 @@
 
 for tool in halt poweroff reboot runlevel shutdown telinit; do
-  ln -sfvn  $(tool}-systemd   /sbin/${tool}
+  ln -sfvn  ${tool}-systemd   /sbin/${tool}
   ln -svfn  ${tool}-systemd.8 /usr/share/man/man8/${tool}.8
 done
Index: general.ent
===================================================================
--- general.ent	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
+++ general.ent	(revision 98398080e04c50c20814069ef0400e87d46bf7aa)
@@ -1,4 +1,4 @@
-<!ENTITY version         "SVN-20140403">
-<!ENTITY releasedate     "April 3, 2014">
+<!ENTITY version         "SVN-20140404">
+<!ENTITY releasedate     "April 4, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "8.0">
Index: packages.ent
===================================================================
--- packages.ent	(revision cba2d4e6aa081fdf62e527d28eba137eb885f0cc)
+++ packages.ent	(revision 98398080e04c50c20814069ef0400e87d46bf7aa)
@@ -165,16 +165,4 @@
 <!ENTITY expect-ch5-sbu "0.1 SBU">
 
-<!ENTITY eudev-version "1.5.3">
-<!ENTITY eudev-size "1,684 KB">
-<!ENTITY eudev-url "http://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
-<!ENTITY eudev-md5 "51380938b489385cc394f4ebabc048f0">
-<!ENTITY eudev-home "http://www.gentoo.org/proj/en/eudev/">
-<!ENTITY eudev-ch6-du "7.4 MB">
-<!ENTITY eudev-ch6-sbu "0.3 SBU">
-
-<!ENTITY eudev-manpages-size "6 KB">
-<!ENTITY eudev-manpages-url "&anduin-other;eudev-&eudev-version;-manpages.tar.bz2">
-<!ENTITY eudev-manpages-md5 "eaa5b9af344e958c29288e5376b97a28">
-
 <!ENTITY file-version "5.17">
 <!ENTITY file-size "694 KB">
@@ -371,5 +359,5 @@
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20140331">              <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20140404">              <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">