Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision 0b23886707db947f7ef02d261745b2a9fa8f0ad0)
+++ chapter03/packages.xml	(revision 9912f8799fab0b130f61ede8bddffea5aae20454)
@@ -544,9 +544,9 @@
 
     <varlistentry>
-      <term>Util-linux (&util-linux-version;) - <token>&util-linux-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&util-linux-home;"/></para>
-        <para>Download: <ulink url="&util-linux-url;"/></para>
-        <para>MD5 sum: <literal>&util-linux-md5;</literal></para>
+      <term>Util-linux-ng (&util-linux-ng-version;) - <token>&util-linux-ng-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&util-linux-ng-home;"/></para>
+        <para>Download: <ulink url="&util-linux-ng-url;"/></para>
+        <para>MD5 sum: <literal>&util-linux-ng-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 0b23886707db947f7ef02d261745b2a9fa8f0ad0)
+++ chapter03/patches.xml	(revision 9912f8799fab0b130f61ede8bddffea5aae20454)
@@ -28,4 +28,12 @@
 
     <varlistentry>
+      <term>Binutils Texinfo Version Patch - <token>&binutils-configure-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&binutils-configure-patch;"/></para>
+        <para>MD5 sum: <literal>&binutils-configure-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>Bzip2 Documentation Patch - <token>&bzip2-docs-patch-size;</token>:</term>
       <listitem>
@@ -76,12 +84,4 @@
 
     <varlistentry>
-      <term>Gawk Segfault Patch - <token>&gawk-segfault-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&gawk-segfault-patch;"/></para>
-        <para>MD5 sum: <literal>&gawk-segfault-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
       <term>Grep RedHat Fixes Patch - <token>&grep-fixes-patch-size;</token>:</term>
       <listitem>
@@ -132,12 +132,4 @@
 
     <varlistentry>
-      <term>Man-DB Fix Patch - <token>&man-db-fixes-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&man-db-fixes-patch;"/></para>
-        <para>MD5 sum: <literal>&man-db-fixes-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
       <term>Mktemp Tempfile Patch - <token>&mktemp-tempfile-patch-size;</token>:</term>
       <listitem>
@@ -187,34 +179,10 @@
     </varlistentry>
 
-    <varlistentry>
-      <term>Texinfo Multibyte Fixes Patch - <token>&texinfo-multibyte-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&texinfo-multibyte-patch;"/></para>
-        <para>MD5 sum: <literal>&texinfo-multibyte-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-
-    <varlistentry>
-      <term>Texinfo Tempfile Fix Patch - <token>&texinfo-tempfile_fix-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&texinfo-tempfile_fix-patch;"/></para>
-        <para>MD5 sum: <literal>&texinfo-tempfile_fix-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Util-linux Cramfs Patch - <token>&util-linux-cramfs-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&util-linux-cramfs-patch;"/></para>
-        <para>MD5 sum: <literal>&util-linux-cramfs-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Util-linux Lseek Patch - <token>&util-linux-lseek-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&util-linux-lseek-patch;"/></para>
-        <para>MD5 sum: <literal>&util-linux-lseek-patch-md5;</literal></para>
+
+    <varlistentry>
+      <term>Udev usb_id Segfault Patch - <token>&udev-usbid-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&udev-usbid-patch;"/></para>
+        <para>MD5 sum: <literal>&udev-usbid-md5;</literal></para>
       </listitem>
     </varlistentry>