Index: chapter05/binutils-pass2.xml
===================================================================
--- chapter05/binutils-pass2.xml	(revision 9684126049d4955992839ca459167873c40dc608)
+++ chapter05/binutils-pass2.xml	(revision 17476c5481ff8ebced096511eb66134c68f6f042)
@@ -55,5 +55,5 @@
 <blockquote><screen>make[1]: *** [check-binutils] Error 2</screen></blockquote>
 
-<para>And install the package:</para>                                              
+<para>And install the package:</para>
 
 <screen><userinput>make install</userinput></screen>
Index: chapter05/chapter05.xml
===================================================================
--- chapter05/chapter05.xml	(revision 9684126049d4955992839ca459167873c40dc608)
+++ chapter05/chapter05.xml	(revision 17476c5481ff8ebced096511eb66134c68f6f042)
@@ -309,5 +309,5 @@
 can damage or even wreck your system. Therefore we recommend that you
 build the packages in this chapter as an unprivileged user. You could
-of course use your own user name,  but to make it easier to set up a clean
+of course use your own user name, but to make it easier to set up a clean
 work environment we'll create a new user <emphasis>lfs</emphasis> and
 use this one during the installation process. As <emphasis>root</emphasis>,
@@ -383,5 +383,5 @@
 full pathnames of executable files to avoid searching the PATH time and time
 again to find the same executable. However, we'd like the new tools to be
-used as soon as they are installed.  By switching off the hash function, our
+used as soon as they are installed. By switching off the hash function, our
 "interactive" commands (<userinput>make</userinput>,
 <userinput>patch</userinput>, <userinput>sed</userinput>,
@@ -401,5 +401,5 @@
 having LC_ALL set to something other than "POSIX" or "C" during this chapter
 may cause trouble if you exit the chroot environment and wish to return later.
-By setting LC_ALL to "POSIX" (or "C", the two are equivalent)  we ensure that
+By setting LC_ALL to "POSIX" (or "C", the two are equivalent) we ensure that
 everything will work as expected in the chroot environment.</para>
 
@@ -455,5 +455,5 @@
 
 <!-- Ampersands are needed to allow cut and paste -->
-   
+
 <screen><userinput>SPECFILE=/tools/lib/gcc-lib/*/*/specs &amp;&amp;
 sed -e 's@ /lib/ld-linux.so.2@ /tools/lib/ld-linux.so.2@g' \
@@ -477,5 +477,5 @@
 system have found their way into GCC's private include dir. This can happen
 because of GCC's "fixincludes" process which runs as part of the GCC build.
-We'll explain more about this further on in this chapter.  For now, run the
+We'll explain more about this further on in this chapter. For now, run the
 following commands to eliminate this possibility:</para>
 
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 9684126049d4955992839ca459167873c40dc608)
+++ chapter05/gcc-pass1.xml	(revision 17476c5481ff8ebced096511eb66134c68f6f042)
@@ -41,5 +41,5 @@
 
 <itemizedlist>
-<listitem><para><userinput>--with-local-prefix=/tools</userinput>:  The
+<listitem><para><userinput>--with-local-prefix=/tools</userinput>: The
 purpose of this switch is to remove <filename>/usr/local/include</filename>
 from <userinput>gcc</userinput>'s include search path. This is not absolutely
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision 9684126049d4955992839ca459167873c40dc608)
+++ chapter05/gcc-pass2.xml	(revision 17476c5481ff8ebced096511eb66134c68f6f042)
@@ -45,10 +45,10 @@
 patch -Np1 -i ../&gcc-specs-patch;</userinput></screen>
 
-<para>The first patch disables the GCC "fixincludes" script.  We mentioned this
+<para>The first patch disables the GCC "fixincludes" script. We mentioned this
 briefly earlier, but a slightly more in-depth explanation of the fixincludes 
-process is warranted here.  Under normal circumstances, the GCC fixincludes
-script scans your system for header files that need to be fixed.  It might find
+process is warranted here. Under normal circumstances, the GCC fixincludes
+script scans your system for header files that need to be fixed. It might find
 that some Glibc header files on your host system need to be fixed, fix them and
-put them in the GCC private include directory.  Then, later on in
+put them in the GCC private include directory. Then, later on in
 <xref linkend="chapter06"/>, after we've installed the newer Glibc, this
 private include directory would be searched before the system include
@@ -160,5 +160,5 @@
 to continue on.</para>
 
-<para>And finally install the package:</para>                                              
+<para>And finally install the package:</para>
 
 <screen><userinput>make install</userinput></screen>
Index: chapter05/grep.xml
===================================================================
--- chapter05/grep.xml	(revision 9684126049d4955992839ca459167873c40dc608)
+++ chapter05/grep.xml	(revision 17476c5481ff8ebced096511eb66134c68f6f042)
@@ -24,9 +24,9 @@
 <listitem><para><userinput>--disable-perl-regexp</userinput>: This makes sure
 that <userinput>grep</userinput> does not get linked against a PCRE library
-that may be present on the host, but would not be available once we enter the
+that may be present on the host and would not be available once we enter the
 chroot environment.</para></listitem>
 <listitem><para><userinput>--with-included-regex</userinput>: This ensures that
-Grep uses its internal regular expression code.  Without it, it will use
-the code from Glibc, which is known to be slightly buggy.</para></listitem>
+Grep uses its internal regular expression code. Without this switch, Grep will
+use the code from Glibc, which is known to be slightly buggy.</para></listitem>
 </itemizedlist>
 
Index: chapter05/utillinux.xml
===================================================================
--- chapter05/utillinux.xml	(revision 9684126049d4955992839ca459167873c40dc608)
+++ chapter05/utillinux.xml	(revision 17476c5481ff8ebced096511eb66134c68f6f042)
@@ -15,5 +15,5 @@
 
 <para>Util-linux doesn't use the freshly installed headers and libraries from
-the <filename>/tools</filename> directory.  This is fixed by altering the
+the <filename>/tools</filename> directory. This is fixed by altering the
 configure script:</para>
 