Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision bfe0b0b45366ccdfc33be17de8c2b4fefc4b6bdf)
+++ chapter01/changelog.xml	(revision 22009fb76818288db8eb0a5f45565d1030b226c4)
@@ -43,4 +43,21 @@
     appropriate for the entry or if needed the entire day's listitem.
     -->
+    <listitem>
+      <itemizedlist>
+      <para>2020-12-03</para>
+        <listitem>
+          <para>[renodr] - Update to linux-5.9.12. Fixes
+          <ulink url="&lfs-ticket-root;4763">#4673</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to bc-3.2.3. Fixes
+          <ulink url="&lfs-ticket-root;4762">#4672</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to systemd-247. Fixes
+          <ulink url="&lfs-ticket-root;4745">#4745</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision bfe0b0b45366ccdfc33be17de8c2b4fefc4b6bdf)
+++ chapter01/whatsnew.xml	(revision 22009fb76818288db8eb0a5f45565d1030b226c4)
@@ -229,7 +229,7 @@
       <para>Sysklogd-&sysklogd-version;</para>
     </listitem>-->
-    <!--<listitem revision="systemd">
+    <listitem revision="systemd">
       <para>Systemd-&systemd-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
@@ -282,5 +282,7 @@
       <para>autoconf-2.69-consolidated_fixes-1.patch</para>
     </listitem>
-
+    <listitem>
+      <para>systemd-247-upstream_fixes-1.patch</para>
+    </listitem>
 
   </itemizedlist>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision bfe0b0b45366ccdfc33be17de8c2b4fefc4b6bdf)
+++ chapter03/patches.xml	(revision 22009fb76818288db8eb0a5f45565d1030b226c4)
@@ -100,13 +100,11 @@
     </varlistentry>
 
-<!--
     <varlistentry revision="systemd">
-      <term>Systemd GCC-10 Patch - <token>&systemd-gcc10-patch-size;</token>:</term>
+      <term>Systemd Upstream Fixes Patch - <token>&systemd-upstream-fixes-patch-size;</token>:</term>
       <listitem>
-        <para>Download: <ulink url="&patches-root;&systemd-gcc10-patch;"/></para>
-        <para>MD5 sum: <literal>&systemd-gcc10-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&systemd-upstream-fixes-patch;"/></para>
+        <para>MD5 sum: <literal>&systemd-upstream-fixes-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
--->
 
   </variablelist>
Index: chapter08/systemd.xml
===================================================================
--- chapter08/systemd.xml	(revision bfe0b0b45366ccdfc33be17de8c2b4fefc4b6bdf)
+++ chapter08/systemd.xml	(revision 22009fb76818288db8eb0a5f45565d1030b226c4)
@@ -47,4 +47,8 @@
 -->
 
+    <para>First, apply a patch to fix some regressions:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-upstream_fixes-1.patch</userinput></screen>
+
     <para>Create a symlink to work around the xsltproc command not being installed:</para>
 
@@ -57,5 +61,5 @@
     <para>Remove tests that cannot be built in chroot:</para>
 
-<screen><userinput remap="pre">sed '177,$ d' -i src/resolve/meson.build</userinput></screen>
+<screen><userinput remap="pre">sed '181,$ d' -i src/resolve/meson.build</userinput></screen>
 
     <para>Remove an unneeded group,
@@ -93,4 +97,5 @@
       -Duserdb=false                \
       -Dman=true                    \
+      -Dmode=release                \
       -Ddocdir=/usr/share/doc/systemd-&systemd-version; \
       ..</userinput></screen>
@@ -239,6 +244,6 @@
         (symlink to systemctl), systemctl, systemd-analyze,
         systemd-ask-password, systemd-cat, systemd-cgls, systemd-cgtop,
-        systemd-delta, systemd-detect-virt, systemd-escape, systemd-hwdb,
-        systemd-id128, systemd-inhibit, systemd-machine-id-setup,
+        systemd-delta, systemd-detect-virt, systemd-dissect, systemd-escape, 
+        systemd-hwdb, systemd-id128, systemd-inhibit, systemd-machine-id-setup,
         systemd-mount, systemd-notify, systemd-nspawn, systemd-path,
         systemd-repart, systemd-resolve (symlink to resolvectl), systemd-run,
@@ -568,4 +573,14 @@
       </varlistentry>
 
+      <varlistentry id="systemd-dissect">
+        <term><command>systemd-dissect</command></term>
+        <listitem>
+          <para>Is used to inspect OS disk images.</para>
+          <indexterm zone="ch-system-systemd systemd-dissect">
+            <primary sortas="b-systemd-dissect">systemd-dissect</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="systemd-escape">
         <term><command>systemd-escape</command></term>
Index: chapter10/kernel.xml
===================================================================
--- chapter10/kernel.xml	(revision bfe0b0b45366ccdfc33be17de8c2b4fefc4b6bdf)
+++ chapter10/kernel.xml	(revision 22009fb76818288db8eb0a5f45565d1030b226c4)
@@ -134,6 +134,5 @@
    [*] Inotify support for userspace [CONFIG_INOTIFY_USER]
   Pseudo filesystems  ---&gt;
-   [*] Tmpfs POSIX Access Control Lists [CONFIG_TMPFS_POSIX_ACL]
-   [*] Tmpfs extended attributes [CONFIG_TMPFS_XATTR]</screen>
+   [*] Tmpfs POSIX Access Control Lists [CONFIG_TMPFS_POSIX_ACL]</screen>
     </note>
 
Index: general.ent
===================================================================
--- general.ent	(revision bfe0b0b45366ccdfc33be17de8c2b4fefc4b6bdf)
+++ general.ent	(revision 22009fb76818288db8eb0a5f45565d1030b226c4)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20201201">
+<!ENTITY version         "SVN-20201203">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20201201-systemd">
+<!ENTITY versiond        "20201203-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "December 1st, 2020">
+<!ENTITY releasedate     "December 3rd, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision bfe0b0b45366ccdfc33be17de8c2b4fefc4b6bdf)
+++ packages.ent	(revision 22009fb76818288db8eb0a5f45565d1030b226c4)
@@ -58,8 +58,8 @@
 <!ENTITY bash-fin-sbu "2.4 SBU">
 
-<!ENTITY bc-version "3.2.1">
-<!ENTITY bc-size "220 KB">
+<!ENTITY bc-version "3.2.3">
+<!ENTITY bc-size "224 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "c5b85b98a71880798cff3833ac7929e0">
+<!ENTITY bc-md5 "ef031f3d0ffd02a0965a670efa95c3e8">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "6.5 MB">
@@ -418,10 +418,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "9">
-<!ENTITY linux-patch-version "11">
+<!ENTITY linux-patch-version "12">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "112,840 KB">
+<!ENTITY linux-size "112,852 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "530543935698468bf30dfacd4a20d84f">
+<!ENTITY linux-md5 "63c6408b3ef9c853b0849a5111c310b9">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
@@ -622,19 +622,19 @@
 <!ENTITY sysklogd-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "246">
+<!ENTITY systemd-version  "247">
 <!--<!ENTITY systemd-stable   "6b4878d">-->
 <!-- The above entity is used whenever we move to a stable backport branch. In the event of a critical problem or kernel
      change that is incompatible, we will switch to the backport branch until the next stable release. -->
-<!ENTITY systemd-size     "9,312 KB">
+<!ENTITY systemd-size     "9,656 KB">
 <!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
 <!--<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;-&systemd-stable;.tar.xz">-->
-<!ENTITY systemd-md5      "a3e9efa72d0309dd26513a221cdff31b">
+<!ENTITY systemd-md5      "b0d6e603b814908acc69db29bbfb023c">
 <!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-size "592 KB">
+<!ENTITY systemd-man-size "612 KB">
 <!--<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz">-->
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;.tar.xz">
-<!ENTITY systemd-man-md5  "819cc8ccffe51cb1863846fcb59a784a">
-<!ENTITY systemd-fin-du   "262 MB">
-<!ENTITY systemd-fin-sbu  "2.0 SBU">
+<!ENTITY systemd-man-md5  "438c98be200e1c3b308e58a3399d4465">
+<!ENTITY systemd-fin-du   "264 MB">
+<!ENTITY systemd-fin-sbu  "1.8 SBU">
 
 <!ENTITY sysvinit-version "2.98">
Index: patches.ent
===================================================================
--- patches.ent	(revision bfe0b0b45366ccdfc33be17de8c2b4fefc4b6bdf)
+++ patches.ent	(revision 22009fb76818288db8eb0a5f45565d1030b226c4)
@@ -63,8 +63,5 @@
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
 
-<!-- Use if there is a need to create another consolidated patch. 
-     So far, with 244, all is quiet.
-<!ENTITY systemd-consolidated-patch "systemd-&systemd-version;-consolidated_fixes-2.patch">
-<!ENTITY systemd-consolidated-patch-md5 "2bad2992f4373eb925885f2ea2fb8d14">
-<!ENTITY systemd-consolidated-patch-size "64 KB">
--->
+<!ENTITY systemd-upstream-fixes-patch "systemd-&systemd-version;-upstream_fixes-1.patch">
+<!ENTITY systemd-upstream-fixes-patch-md5 "573a166f3620875208f78bf4dc431c8b">
+<!ENTITY systemd-upstream-fixes-patch-size "8 KB">