Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter01/changelog.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -44,4 +44,31 @@
 -->
     <listitem>
+      <para>2018-01-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Add comments to the kernel section
+          to change the unwinder option.  Fixes
+          <ulink url="&lfs-ticket-root;4186">#4186</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.14.10.  Fixes
+          <ulink url="&lfs-ticket-root;4184">#4184</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to coreutils-8.29.  Fixes
+          <ulink url="&lfs-ticket-root;4189">#4189</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Remove old footer from non-chunks book. Fixes
+          <ulink url="&lfs-ticket-root;4188">#4188</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Make spacing between "Chapter" and digit non breaking. Fixes
+          <ulink url="&lfs-ticket-root;4187">#4187</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2017-12-26</para>
       <itemizedlist>
@@ -333,5 +360,5 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Reorder packages in Chapter 6 so Python can use
+          <para>[bdubbs] - Reorder packages in Chapter&nbsp;6 so Python can use
           gdbm.</para>
         </listitem>
Index: chapter01/chapter01.xml
===================================================================
--- chapter01/chapter01.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter01/chapter01.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -6,5 +6,5 @@
 ]>
 
-<chapter id="chapter-intro" xreflabel="Chapter 1">
+<chapter id="chapter-intro" xreflabel="Chapter&nbsp;1">
   <?dbhtml dir="chapter01"?>
   <?dbhtml filename="chapter01.html"?>
Index: chapter01/resources.xml
===================================================================
--- chapter01/resources.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter01/resources.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -21,5 +21,5 @@
   </sect2>
 
-  <sect2 id="ch-intro-maillists" xreflabel="Chapter 1 - Mailing Lists">
+  <sect2 id="ch-intro-maillists" xreflabel="Chapter&nbsp;1 - Mailing Lists">
     <title>Mailing Lists</title>
 
@@ -72,5 +72,5 @@
   </sect2>  -->
 
-  <sect2 id="ch-intro-mirrors" xreflabel="Chapter 1 - Mirror sites">
+  <sect2 id="ch-intro-mirrors" xreflabel="Chapter&nbsp;1 - Mirror sites">
     <title>Mirror Sites</title>
 
Index: chapter02/chapter02.xml
===================================================================
--- chapter02/chapter02.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter02/chapter02.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -6,5 +6,5 @@
 ]>
 
-<chapter id="chapter-partitioning" xreflabel="Chapter 2">
+<chapter id="chapter-partitioning" xreflabel="Chapter&nbsp;2">
   <?dbhtml dir="chapter02"?>
   <?dbhtml filename="chapter02.html"?>
Index: chapter02/creatingfilesystem.xml
===================================================================
--- chapter02/creatingfilesystem.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter02/creatingfilesystem.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -61,5 +61,5 @@
     <para>Some host distributions use custom features in their filesystem
     creation tools (E2fsprogs). This can cause problems when booting into your new
-    LFS in Chapter 9, as those features will not be supported by the LFS-installed
+    LFS in Chapter&nbsp;9, as those features will not be supported by the LFS-installed
     E2fsprogs; you will get an error similar to <quote>unsupported filesystem
     features, upgrade your e2fsprogs</quote>. To check if your host system
Index: chapter02/hostreqs.xml
===================================================================
--- chapter02/hostreqs.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter02/hostreqs.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -95,5 +95,5 @@
 
       <para>The reason for the kernel version requirement is that we specify
-      that version when building <application>glibc</application> in Chapter 6
+      that version when building <application>glibc</application> in Chapter&nbsp;6
       at the recommendation of the developers.  It is also required by
       udev.</para>
Index: chapter02/stages.xml
===================================================================
--- chapter02/stages.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter02/stages.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -19,5 +19,5 @@
 
   <sect2>
-  <title>Chapters 1-4</title>
+  <title>Chapters&nbsp;1&ndash;4</title>
 
     <para>These chapters are accomplished on the host system.  When
@@ -34,5 +34,5 @@
   
   <sect2>
-  <title>Chapter 5</title>
+  <title>Chapter&nbsp;5</title>
 
     <itemizedlist>
@@ -42,8 +42,8 @@
 
       <listitem>
-         <para><emphasis>ALL</emphasis> instructions in Chapter 5 
+         <para><emphasis>ALL</emphasis> instructions in Chapter&nbsp;5 
          must be done by user <emphasis>lfs</emphasis>.  
          A  <command>su - lfs</command> needs to be done before any 
-         task in Chapter 5.</para>
+         task in Chapter&nbsp;5.</para>
       </listitem>
 
@@ -59,5 +59,5 @@
 
   <sect2>
-  <title>Chapters 6-8</title>
+  <title>Chapters&nbsp;6&ndash;8</title>
 
     <itemizedlist>
Index: chapter03/chapter03.xml
===================================================================
--- chapter03/chapter03.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter03/chapter03.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -6,5 +6,5 @@
 ]>
 
-<chapter id="chapter-getting-materials" xreflabel="Chapter 3">
+<chapter id="chapter-getting-materials" xreflabel="Chapter&nbsp;3">
   <?dbhtml dir="chapter03"?>
   <?dbhtml filename="chapter03.html"?>
Index: chapter04/chapter04.xml
===================================================================
--- chapter04/chapter04.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter04/chapter04.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -6,5 +6,5 @@
 ]>
 
-<chapter id="chapter-final-preps" xreflabel="Chapter 4">
+<chapter id="chapter-final-preps" xreflabel="Chapter&nbsp;4">
   <?dbhtml dir="chapter04"?>
   <?dbhtml filename="chapter04.html"?>
Index: chapter04/creatingtoolsdir.xml
===================================================================
--- chapter04/creatingtoolsdir.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter04/creatingtoolsdir.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -42,5 +42,5 @@
   <para>The created symlink enables the toolchain to be compiled so that it
   always refers to <filename class="directory">/tools</filename>, meaning
-  that the compiler, assembler, and linker will work both in Chapter 5
+  that the compiler, assembler, and linker will work both in Chapter&nbsp;5
   (when we are still using some tools from the host) and in the next (when
   we are <quote>chrooted</quote> to the LFS partition).</para>
Index: chapter05/binutils-pass1.xml
===================================================================
--- chapter05/binutils-pass1.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter05/binutils-pass1.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -69,5 +69,5 @@
 
     <note><para>The approximate build SBU values and required disk space
-    in Chapter 5 does not include test suite data.</para></note>
+    in Chapter&nbsp;5 does not include test suite data.</para></note>
 
     <para>Now prepare Binutils for compilation:</para>
Index: chapter05/chapter05.xml
===================================================================
--- chapter05/chapter05.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter05/chapter05.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -6,5 +6,5 @@
 ]>
 
-<chapter id="chapter-temporary-tools" xreflabel="Chapter 5">
+<chapter id="chapter-temporary-tools" xreflabel="Chapter&nbsp;5">
   <?dbhtml dir="chapter05"?>
   <?dbhtml filename="chapter05.html"?>
Index: chapter05/generalinstructions.xml
===================================================================
--- chapter05/generalinstructions.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter05/generalinstructions.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -94,5 +94,5 @@
             <listitem>
               <para>Using the <command>tar</command> program, extract the package
-              to be built.  In Chapter 5, ensure you are the <emphasis>lfs</emphasis>
+              to be built.  In Chapter&nbsp;5, ensure you are the <emphasis>lfs</emphasis>
               user when extracting the package.</para>
             </listitem>
Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter06/chapter06.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -6,5 +6,5 @@
 ]>
 
-<chapter id="chapter-building-system" xreflabel="Chapter 6">
+<chapter id="chapter-building-system" xreflabel="Chapter&nbsp;6">
   <?dbhtml dir="chapter06"?>
   <?dbhtml filename="chapter06.html"?>
Index: chapter06/introduction.xml
===================================================================
--- chapter06/introduction.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter06/introduction.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -54,5 +54,5 @@
 
   <note><para>The SBU values and required disk space includes
-  test suite data for all applicable packages in Chapter 6.</para></note>
+  test suite data for all applicable packages in Chapter&nbsp;6.</para></note>
 
   <sect2>
@@ -68,5 +68,5 @@
     do the linking) may not even be known.</para>
 
-    <para>In the procedures in Chapter 6, we remove or disable installation of
+    <para>In the procedures in Chapter&nbsp;6, we remove or disable installation of
     most static libraries. Usually this is done by passing a
     <option>--disable-static</option> option to <command>configure</command>.
Index: chapter06/procps.xml
===================================================================
--- chapter06/procps.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter06/procps.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -85,5 +85,5 @@
 
     <para>One ps test may fail, but passes if the tests are rerun at 
-    the end of Chapter 6.</para>
+    the end of Chapter&nbsp;6.</para>
 
     <para>Install the package:</para>
Index: chapter07/chapter07.xml
===================================================================
--- chapter07/chapter07.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter07/chapter07.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -6,5 +6,5 @@
 ]>
 
-<chapter id="chapter-bootscripts" xreflabel="Chapter 7">
+<chapter id="chapter-bootscripts" xreflabel="Chapter&nbsp;7">
   <?dbhtml dir="chapter07"?>
   <?dbhtml filename="chapter07.html"?>
Index: chapter07/introduction.xml
===================================================================
--- chapter07/introduction.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter07/introduction.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -19,5 +19,5 @@
     order but, at the same time, be executed as fast as possible.</para>
 
-<!--    <para>In the packages that were installed in Chapter 6, there were two
+<!--    <para>In the packages that were installed in Chapter&nbsp;6, there were two
     different boot systems installed.  LFS provides the ability to easily
     select which system the user wants to use and to compare and contrast the
Index: chapter07/locale.xml
===================================================================
--- chapter07/locale.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter07/locale.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -81,5 +81,5 @@
   before the telephone number in order to get into the country. If any of the
   commands above fail with a message similar to the one shown below, this means
-  that your locale was either not installed in Chapter 6 or is not supported by
+  that your locale was either not installed in Chapter&nbsp;6 or is not supported by
   the default installation of Glibc.</para>
 
Index: chapter07/profile.xml
===================================================================
--- chapter07/profile.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter07/profile.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -104,5 +104,5 @@
   before the telephone number in order to get into the country. If any of the
   commands above fail with a message similar to the one shown below, this means
-  that your locale was either not installed in Chapter 6 or is not supported by
+  that your locale was either not installed in Chapter&nbsp;6 or is not supported by
   the default installation of Glibc.</para>
 
Index: chapter08/chapter08.xml
===================================================================
--- chapter08/chapter08.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter08/chapter08.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -6,5 +6,5 @@
 ]>
 
-<chapter id="chapter-bootable" xreflabel="Chapter 8">
+<chapter id="chapter-bootable" xreflabel="Chapter&nbsp;8">
   <?dbhtml dir="chapter08"?>
   <?dbhtml filename="chapter08.html"?>
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter08/kernel.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -73,5 +73,5 @@
       into account.</para>
 
-      <para>Be sure to enable or disable the following features or the system might
+      <para>Be sure to enable/disable/set the following features or the system might
       not work correctly or boot at all:</para>
 
@@ -80,5 +80,8 @@
   Generic Driver Options  ---&gt;
    [ ] Support for uevent helper [CONFIG_UEVENT_HELPER]
-   [*] Maintain a devtmpfs filesystem to mount at /dev [CONFIG_DEVTMPFS]</screen>
+   [*] Maintain a devtmpfs filesystem to mount at /dev [CONFIG_DEVTMPFS]
+
+Kernel hacking  ---&gt;
+       Choose kernel unwinder (Frame pointer unwinder)  ---&gt; [CONFIG_UNWINDER_FRAME_POINTER]</screen>
 
       <screen role="nodump" revision="systemd">
@@ -106,6 +109,7 @@
   Pseudo filesystems  ---&gt;
    [*] Tmpfs POSIX Access Control Lists [CONFIG_TMPFS_POSIX_ACL]
-   [*] Tmpfs extended attributes [CONFIG_TMPFS_XATTR]</screen>
-
+   [*] Tmpfs extended attributes [CONFIG_TMPFS_XATTR]
+Kernel hacking  ---&gt;
+       Choose kernel unwinder (Frame pointer unwinder)  ---&gt; [CONFIG_UNWINDER_FRAME_POINTER]</screen>
     </note>
 
Index: chapter09/chapter09.xml
===================================================================
--- chapter09/chapter09.xml	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ chapter09/chapter09.xml	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -6,5 +6,5 @@
 ]>
 
-<chapter id="chapter-finalizing" xreflabel="Chapter 9">
+<chapter id="chapter-finalizing" xreflabel="Chapter&nbsp;9">
   <?dbhtml dir="chapter09"?>
   <?dbhtml filename="chapter09.html"?>
Index: general.ent
===================================================================
--- general.ent	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ general.ent	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -1,14 +1,14 @@
-<!ENTITY version         "SVN-20171227">
+<!ENTITY version         "SVN-20180101">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20171227-systemd">
+<!ENTITY versiond        "20180101-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "December 27, 2017">
+<!ENTITY releasedate     "January 1, 2018">
 
-<!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
+<!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "8.2">
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ packages.ent	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -99,8 +99,8 @@
 <!ENTITY check-ch5-sbu "0.1 SBU">
 
-<!ENTITY coreutils-version "8.28">
-<!ENTITY coreutils-size "5,130 KB">
+<!ENTITY coreutils-version "8.29">
+<!ENTITY coreutils-size "5,163 KB">
 <!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.xz">
-<!ENTITY coreutils-md5 "e7cb20d0572cc40d9f47ede6454406d1">
+<!ENTITY coreutils-md5 "960cfe75a42c9907c71439f8eb436303">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
 <!ENTITY coreutils-ch5-du "136 MB">
@@ -409,10 +409,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "14">
-<!ENTITY linux-patch-version "8">
+<!ENTITY linux-patch-version "10">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">i-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "98,429 KB">
+<!ENTITY linux-size "98,438 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "0a2120cc58fe9ff0cbb7330dd1acb82e">
+<!ENTITY linux-md5 "cfab8ee2ee4eb6600a1e7da33a2ff275">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
Index: stylesheets/lfs-xsl/xhtml/lfs-sections.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-sections.xsl	(revision 0d84af1cbb0dc825db3e965d5126e5b08f878067)
+++ stylesheets/lfs-xsl/xhtml/lfs-sections.xsl	(revision 25332b5e9793e0c440d7f219b9652f810442545b)
@@ -135,9 +135,10 @@
            Self-made template to process SVN keywords found in sect1info. -->
   <xsl:template match="sect1info" mode="svn-keys">
-    <p class="updated">Last updated <!-- by
+  <!--  <p class="updated">Last updated --><!-- by
       <xsl:apply-templates select="othername" mode="svn-keys"/> -->
-      on
+  <!--    on
       <xsl:apply-templates select="date" mode="svn-keys"/>
     </p>
+comment out entire template for now.  We do not use this.  bdubbs 2017/12/30  -->
   </xsl:template>
 