Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 5a986cbf759fcd9377e067f150241ef7f2b7e453)
+++ chapter01/changelog.xml	(revision 25771c306328211c2925f6924d849b7346f28cd0)
@@ -44,4 +44,22 @@
     -->
     <listitem>
+      <para>2020-07-04</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Remove /tools and files containing
+          {i686,x86_64}-lfs in their name at the end of chapter 8.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Add --host= to libstdc++-pass2, so that host
+          specific headers are installed in a host specific directory.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Fix temporary Python so that static libraries
+          are not installed.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <itemizedlist>
       <para>2020-07-01</para>
Index: chapter07/libstdc++-pass2.xml
===================================================================
--- chapter07/libstdc++-pass2.xml	(revision 5a986cbf759fcd9377e067f150241ef7f2b7e453)
+++ chapter07/libstdc++-pass2.xml	(revision 25771c306328211c2925f6924d849b7346f28cd0)
@@ -63,9 +63,10 @@
     <para>Prepare libstdc++ for compilation:</para>
 
-<screen><userinput remap="configure">../libstdc++-v3/configure           \
-    CXXFLAGS="-g -O2 -D_GNU_SOURCE" \
-    --prefix=/usr                   \
-    --disable-multilib              \
-    --disable-nls                   \
+<screen><userinput remap="configure">../libstdc++-v3/configure            \
+    CXXFLAGS="-g -O2 -D_GNU_SOURCE"  \
+    --prefix=/usr                    \
+    --disable-multilib               \
+    --disable-nls                    \
+    --host=$(uname -m)-lfs-linux-gnu \
     --disable-libstdcxx-pch</userinput></screen>
 
@@ -78,4 +79,13 @@
           <para>These flags are passed by the top level Makefile when doing
           a full build of GCC.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--host=$(uname -m)-lfs-linux-gnu</parameter></term>
+        <listitem>
+          <para>We have to mimic what would happen if this package were built
+          as part of a full compiler build. This switch would be passed to
+          configure by GCC's build machinery.</para>
         </listitem>
       </varlistentry>
Index: chapter07/python.xml
===================================================================
--- chapter07/python.xml	(revision 5a986cbf759fcd9377e067f150241ef7f2b7e453)
+++ chapter07/python.xml	(revision 25771c306328211c2925f6924d849b7346f28cd0)
@@ -53,8 +53,17 @@
     <para>Prepare Python for compilation:</para>
 
-<screen><userinput remap="configure">./configure --prefix=/usr --without-ensurepip</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr   \
+            --enable-shared \
+            --without-ensurepip</userinput></screen>
 
     <variablelist>
       <title>The meaning of the configure option:</title>
+
+      <varlistentry>
+        <term><parameter>--enable-shared</parameter></term>
+        <listitem>
+          <para>This switch prevents installation of static libraries.</para>
+        </listitem>
+      </varlistentry>
 
       <varlistentry>
Index: chapter08/revisedchroot.xml
===================================================================
--- chapter08/revisedchroot.xml	(revision 5a986cbf759fcd9377e067f150241ef7f2b7e453)
+++ chapter08/revisedchroot.xml	(revision 25771c306328211c2925f6924d849b7346f28cd0)
@@ -63,4 +63,17 @@
    Archive (.la) files"</ulink>.</para>
 
+   <para>The compiler built in <xref linkend="chapter-temporary-tools"/> and
+   <xref linkend="chapter-chroot-temporary-tools"/> is still partially
+   installed, and not needed anymore. Remove it with:</para>
+
+<screen><userinput>find /usr/{bin,lib,libexec,include} \
+     -depth                         \
+     -name $(uname -m)-lfs-linux-gnu\* | xargs rm -rf</userinput></screen>
+
+   <para>The <filename class="directory">/tools</filename> directory can also
+   be removed to further gain some place:</para>
+
+<screen><userinput>rm -rf /tools</userinput></screen>
+
    <para>Finally, remove the temporary 'tester' user account created at the 
    beginning of the previous chapter.</para>
Index: general.ent
===================================================================
--- general.ent	(revision 5a986cbf759fcd9377e067f150241ef7f2b7e453)
+++ general.ent	(revision 25771c306328211c2925f6924d849b7346f28cd0)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200701">
+<!ENTITY version         "SVN-20200704">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200701-systemd">
+<!ENTITY versiond        "20200704-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "July 1st, 2020">
+<!ENTITY releasedate     "July 4th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->