Index: chapter06/coreutils.xml
===================================================================
--- chapter06/coreutils.xml	(revision c9d3c70c4cd73bd254432192ae632f4ed9b23d40)
+++ chapter06/coreutils.xml	(revision 29779c4f2b9ed1d60710f4bc470917091039c253)
@@ -47,4 +47,5 @@
 
 <screen><userinput remap="configure">./configure --prefix=/usr                     \
+            --libexecdir=/usr/lib             \
             --host=$LFS_TGT                   \
             --build=$(build-aux/config.guess) \
Index: chapter08/coreutils.xml
===================================================================
--- chapter08/coreutils.xml	(revision c9d3c70c4cd73bd254432192ae632f4ed9b23d40)
+++ chapter08/coreutils.xml	(revision 29779c4f2b9ed1d60710f4bc470917091039c253)
@@ -70,4 +70,5 @@
 FORCE_UNSAFE_CONFIGURE=1 ./configure \
             --prefix=/usr            \
+            --libexecdir=/usr/lib    \
             --enable-no-install-program=kill,uptime</userinput></screen>
 
Index: chapter08/pkgmgt.xml
===================================================================
--- chapter08/pkgmgt.xml	(revision c9d3c70c4cd73bd254432192ae632f4ed9b23d40)
+++ chapter08/pkgmgt.xml	(revision 29779c4f2b9ed1d60710f4bc470917091039c253)
@@ -70,5 +70,5 @@
 
       <listitem> <para>If a package containing a shared library is updated, and
-      if the name of the library changes, then any the packages dynamically
+      if the name of the library changes, then any packages dynamically
       linked to the library need to be recompiled in order to link against the
       newer library.  (Note that there is no correlation between the package
@@ -124,14 +124,14 @@
 
       <listitem>
-        <para>If a binary or a shared library is overwrote, the processes
+        <para>If a binary or a shared library is overwritten, the processes
         using the code or data in the binary or library may crash.  The
         correct way to update a binary or a shared library without causing
-        the process to crash is: remove it first, then install the new
+        the process to crash is to remove it first, then install the new
         version into position. The <command>install</command> command
         provided by <application>Coreutils</application> has already
         implemented this and most packages use it to install binaries and
-        libraries.  So you won't be troubled by this issue most of the time.
+        libraries.  This means that you won't be troubled by this issue most of the time.
         However, the install process of some packages (notably Mozilla JS
-        in BLFS) just overwrites the file if it exists and causes crash, so
+        in BLFS) just overwrites the file if it exists and causes a crash, so
         it's safer to save your work and close unneeded running processes
         before updating a package.</para>
Index: chapter08/strippingagain.xml
===================================================================
--- chapter08/strippingagain.xml	(revision c9d3c70c4cd73bd254432192ae632f4ed9b23d40)
+++ chapter08/strippingagain.xml	(revision 29779c4f2b9ed1d60710f4bc470917091039c253)
@@ -25,5 +25,5 @@
 
   <para>The debugging symbols for selected libraries are placed
-  in separate files.  These debugging information is needed if running 
+  in separate files.  This debugging information is needed if running 
   regression tests that use <ulink 
   url='&blfs-book;/general/valgrind.html'>valgrind</ulink> or <ulink 
@@ -31,10 +31,10 @@
   </para>
 
-  <para>And, <command>strip</command> will overwrite the binary or library
-  file.  This may crash the processes using code or data from the file.  If
-  the process running <command>strip</command> itself is affected, the
-  binary or library being stripped may be destroyed.  This may make the
-  system completely unusable.  To avoid it, we'll copy some libraries and
-  binaries into <filename class="directory">/tmp</filename>, strip them
+  <para>Note that <command>strip</command> will overwrite the binary or library
+  file it is processing.  This may crash the processes using code or data from
+  the file.  If the process running <command>strip</command> itself is
+  affected, the binary or library being stripped may be destroyed.  This may
+  make the system completely unusable.  To avoid it, we'll copy some libraries
+  and binaries into <filename class="directory">/tmp</filename>, strip them
   there, and install them back with the <command>install</command> command.
   Read the related entry in <xref linkend="pkgmgmt-upgrade-issues"/> for the
@@ -85,6 +85,8 @@
 for i in $(find /usr/lib -type f -name \*.so* ! -name \*dbg); do
     case "$online_usrlib $save_usrlib" in
-        *$(basename $i)* ) ;;
-        * ) strip --strip-unneeded $i ;;
+        *$(basename $i)* ) 
+            ;;
+        * ) strip --strip-unneeded $i 
+            ;;
     esac
 done
@@ -92,6 +94,8 @@
 for i in $(find /usr/bin -type f); do
     case "$online_usrbin" in
-        *$(basename $i)* ) ;;
-        * ) strip --strip-all $i ;;
+        *$(basename $i)* ) 
+            ;;
+        * ) strip --strip-all $i 
+            ;;
     esac
 done
Index: chapter08/util-linux.xml
===================================================================
--- chapter08/util-linux.xml	(revision c9d3c70c4cd73bd254432192ae632f4ed9b23d40)
+++ chapter08/util-linux.xml	(revision 29779c4f2b9ed1d60710f4bc470917091039c253)
@@ -95,12 +95,13 @@
 <screen role="nodump"><userinput>bash tests/run.sh --srcdir=$PWD --builddir=$PWD</userinput></screen>
     </warning>
-<!--
-    <note><para>There is one test that depends on the configuration of the kernel.
-    If CONFIG_USER_NS or CONFIG_PID_NS are not set, the tests will hang forever.
-    To work around the problem, delete one test:</para>
+
+    <note><para>There is one test that fails in the chroot envronment and
+    causes the tests to hang forever.  The problem does not occur outside
+    of the chroot envronment.
+    To work around the problem, delete the test:</para>
 
     <screen><userinput remap="test">rm tests/ts/lsns/ioctl_ns</userinput></screen>
     </note>
--->
+
 <screen><userinput remap="test">chown -Rv tester .
 su tester -c "make -k check"</userinput></screen>