Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ chapter01/changelog.xml	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -37,4 +37,43 @@
 -->
     <listitem>
+      <para>2016-04-28</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - Updated to file-5.26. Fixes
+          <ulink url="&lfs-ticket-root;3919">#3919</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Updated to gcc-6.1.0. Fixes
+          <ulink url="&lfs-ticket-root;3924">#3924</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Updated to grep-2.25. Fixes
+          <ulink url="&lfs-ticket-root;3922">#3922</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Updated to gzip-1.8. Fixes
+          <ulink url="&lfs-ticket-root;3923">#3923</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Updated to linux-4.5.2. Fixes
+          <ulink url="&lfs-ticket-root;3921">#3921</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Updated to tzdata-2016d. Fixes
+          <ulink url="&lfs-ticket-root;3920">#3920</ulink>.</para>
+        </listitem>
+        <listitem> 
+          <para>[krejzi] - Updated binutils upstream fixes
+          patch.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Added a patch for glibc which
+          addresses a security issue and a build failure
+          with GCC 6.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2016-04-16</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ chapter01/whatsnew.xml	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -74,7 +74,7 @@
       <para>Expect &expect-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>File &file-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Findutils &findutils-version;</para>
@@ -86,7 +86,7 @@
       <para>Gawk &gawk-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>GCC &gcc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>GDBM &gdbm-version;</para>
@@ -244,8 +244,4 @@
     <title>Added:</title>
     <listitem><para></para></listitem>  <!-- satisfy build -->
-<!--
-    <listitem>
-      <para>&bash-fixes-patch;</para>
-    </listitem>
 
     <listitem>
@@ -254,11 +250,7 @@
 
     <listitem>
-      <para>&gcc-upstream-patch;</para>
-    </listitem>
-
-    <listitem>
-      <para>&mpfr-upstream-patch;</para>
-    </listitem>
--->
+      <para>&glibc-upstream-patch;</para>
+    </listitem>
+
   </itemizedlist>
 
@@ -272,4 +264,8 @@
 
     <listitem>
+      <para>binutils-2.26-upstream_fix-2.patch</para>
+    </listitem>
+
+    <listitem>
       <para>mpfr-3.1.3-upstream_fixes-2.patch</para>
     </listitem>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ chapter03/patches.xml	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -68,4 +68,12 @@
 
     <varlistentry>
+      <term>Glibc Upstream Patch - <token>&glibc-upstream-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&glibc-upstream-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-upstream-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>Kbd Backspace/Delete Fix Patch - <token>&kbd-backspace-patch-size;</token>:</term>
       <listitem>
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ chapter05/gcc-pass1.xml	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -136,4 +136,5 @@
     --disable-libatomic                            \
     --disable-libgomp                              \
+    --disable-libmpx                               \
     --disable-libquadmath                          \
     --disable-libssp                               \
@@ -196,9 +197,10 @@
       <varlistentry>
         <term><parameter>--disable-decimal-float, --disable-threads,
-        --disable-libatomic, --disable-libgomp, --disable-libquadmath,
-        --disable-libssp, --disable-libvtv, --disable-libstdcxx</parameter></term>
+        --disable-libatomic, --disable-libgomp, --disable-libmpx
+        --disable-libquadmath, --disable-libssp, --disable-libvtv,
+        --disable-libstdcxx</parameter></term>
         <listitem>
           <para>These switches disable support for the decimal floating point
-          extension, threading, libatomic, libgomp, libquadmath, libssp,
+          extension, threading, libatomic, libgomp, libmpx, libquadmath, libssp,
           libvtv, and the C++ standard library respectively. These features
           will fail to compile when building a cross-compiler and are not
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ chapter05/glibc.xml	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -48,4 +48,8 @@
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
 -->
+    <para>Fix some problems identified upstream:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
+
     <para>The Glibc documentation recommends building Glibc 
     in a dedicated build directory:</para>
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ chapter06/binutils.xml	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -58,5 +58,5 @@
 Ask your system administrator to create more.</computeroutput></screen>
 
-    <para>Fix a problem identified upstream:</para>
+    <para>Fix some problems identified upstream:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../&binutils-upstream-patch;</userinput></screen>
@@ -107,5 +107,5 @@
     <para>Test the results:</para>
 
-<screen><userinput remap="test">make check</userinput></screen>
+<screen><userinput remap="test">make -k check</userinput></screen>
 
     <para>The test 'Link with zlib-gabi compressed debug output' is known to fail.</para>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ chapter06/glibc.xml	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -68,4 +68,8 @@
 
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-fhs-patch;</userinput></screen>
+
+    <para>Fix some problems identified upstream:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&glibc-upstream-patch;</userinput></screen>
 
     <para>The Glibc documentation recommends building Glibc 
Index: chapter06/pkgconfig.xml
===================================================================
--- chapter06/pkgconfig.xml	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ chapter06/pkgconfig.xml	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -45,7 +45,8 @@
     <para>Prepare Pkg-config for compilation:</para>
 
-<screen><userinput remap="configure">./configure --prefix=/usr        \
-            --with-internal-glib \
-            --disable-host-tool  \
+<screen><userinput remap="configure">./configure --prefix=/usr              \
+            --with-internal-glib       \
+            --disable-compile-warnings \
+            --disable-host-tool        \
             --docdir=/usr/share/doc/pkg-config-&pkgconfig-version;</userinput></screen>
 
@@ -58,4 +59,13 @@
           <para>This will allow pkg-config to use its internal version of
           Glib because an external version is not available in LFS.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>--disable-compile-warnings</parameter></term>
+        <listitem>
+          <para>This option prevents the build system from using
+          compiler flags which cause build failure when building
+          with GCC 6.</para>
         </listitem>
       </varlistentry>
Index: general.ent
===================================================================
--- general.ent	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ general.ent	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -1,6 +1,6 @@
-<!ENTITY version         "SVN-20160416">
+<!ENTITY version         "SVN-20160428">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;. Change to x.y for release 
                                       but not -rc releases -->
-<!ENTITY releasedate     "April 16, 2016">
+<!ENTITY releasedate     "April 28, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.10">
Index: packages.ent
===================================================================
--- packages.ent	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ packages.ent	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -160,12 +160,12 @@
 <!ENTITY expect-ch5-sbu "0.1 SBU">
 
-<!ENTITY file-version "5.25">
-<!ENTITY file-size "723 KB">
+<!ENTITY file-version "5.26">
+<!ENTITY file-size "756 KB">
 <!ENTITY file-url "ftp://ftp.astron.com/pub/file/file-&file-version;.tar.gz">
-<!ENTITY file-md5 "e6a972d4e10d9e76407a432f4a63cd4c">
+<!ENTITY file-md5 "bdd12400b90b78ce3c57e79c8d4e0e17">
 <!ENTITY file-home "http://www.darwinsys.com/file/">
-<!ENTITY file-ch5-du "14.1 MB">
+<!ENTITY file-ch5-du "15 MB">
 <!ENTITY file-ch5-sbu "0.1 SBU">
-<!ENTITY file-ch6-du "14.2 MB">
+<!ENTITY file-ch6-du "15 MB">
 <!ENTITY file-ch6-sbu "0.1 SBU">
 
@@ -198,17 +198,17 @@
 <!ENTITY gawk-ch6-sbu "0.3 SBU">
 
-<!ENTITY gcc-version "5.3.0">
-<!ENTITY gcc-size "93,205 KB">
+<!ENTITY gcc-version "6.1.0">
+<!ENTITY gcc-size "96,944 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "c9616fd448f980259c31de613e575719">
+<!ENTITY gcc-md5 "8fb6cb98b8459f5863328380fbf06bd1">
 <!ENTITY gcc-home "http://gcc.gnu.org/">
-<!ENTITY gcc-ch5p1-du "2.4 GB">
-<!ENTITY gcc-ch5p1-sbu "7.7 SBU">
-<!ENTITY gcc-ch5p2-du "2.8 GB">
-<!ENTITY gcc-ch5p2-sbu "10.8 SBU">
-<!ENTITY gcc-ch6-du "3.2 GB ">
-<!ENTITY gcc-ch6-sbu "76 SBU (with tests)">
-
-<!ENTITY libstdcpp-ch5-du "536 MB">
+<!ENTITY gcc-ch5p1-du "2.8 GB">
+<!ENTITY gcc-ch5p1-sbu "7.0 SBU">
+<!ENTITY gcc-ch5p2-du "3.2 GB">
+<!ENTITY gcc-ch5p2-sbu "9.1 SBU">
+<!ENTITY gcc-ch6-du "3.7 GB ">
+<!ENTITY gcc-ch6-sbu "71 SBU (with tests)">
+
+<!ENTITY libstdcpp-ch5-du "893 MB">
 <!ENTITY libstdcpp-ch5-sbu "0.4 SBU">
 
@@ -258,12 +258,12 @@
 <!ENTITY gperf-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY grep-version "2.24">
-<!ENTITY grep-size "1,291 KB">
+<!ENTITY grep-version "2.25">
+<!ENTITY grep-size "1,300 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "f1c980134c04692a90078e87283074b6">
+<!ENTITY grep-md5 "04e96b0e6f0fe6a180ae62c88fcd0af6">
 <!ENTITY grep-home "&gnu-software;grep/">
-<!ENTITY grep-ch5-du "18.9 MB">
+<!ENTITY grep-ch5-du "19 MB">
 <!ENTITY grep-ch5-sbu "0.2 SBU">
-<!ENTITY grep-ch6-du "29 MB">
+<!ENTITY grep-ch6-du "29.5 MB">
 <!ENTITY grep-ch6-sbu "0.4 SBU">
 
@@ -284,12 +284,12 @@
 <!ENTITY grub-ch6-sbu "0.8 SBU">
 
-<!ENTITY gzip-version "1.7">
-<!ENTITY gzip-size "747 KB">
+<!ENTITY gzip-version "1.8">
+<!ENTITY gzip-size "712 KB">
 <!ENTITY gzip-url "&gnu;gzip/gzip-&gzip-version;.tar.xz">
-<!ENTITY gzip-md5 "d9ae97206a703a20e6c1c868deb3eb47">
+<!ENTITY gzip-md5 "f7caabb65cddc1a4165b398009bd05b9">
 <!ENTITY gzip-home "&gnu-software;gzip/">
-<!ENTITY gzip-ch5-du "9.9 MB">
+<!ENTITY gzip-ch5-du "9.2 MB">
 <!ENTITY gzip-ch5-sbu "0.1 SBU">
-<!ENTITY gzip-ch6-du "19.6 MB">
+<!ENTITY gzip-ch6-du "19 MB">
 <!ENTITY gzip-ch6-sbu "0.2 SBU">
 
@@ -384,10 +384,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "5">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "2">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "86,317 KB">
+<!ENTITY linux-size "86,324 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "488fac47d1c73e8a21ac71f7f3121009">
+<!ENTITY linux-md5 "eae8f700463ea73185027caece5f1c5d">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -397,7 +397,7 @@
 <!ENTITY linux-ch8-sbu "3.0 - 49.0 SBU (typically about 6 SBU)">
 
-<!ENTITY linux-headers-ch5-du "718 MB">
+<!ENTITY linux-headers-ch5-du "728 MB">
 <!ENTITY linux-headers-ch5-sbu "0.1 SBU">
-<!ENTITY linux-headers-ch6-du "723 MB">
+<!ENTITY linux-headers-ch6-du "734 MB">
 <!ENTITY linux-headers-ch6-sbu "less than 0.1 SBU">
 
@@ -579,8 +579,8 @@
 <!ENTITY texinfo-ch6-sbu "0.5 SBU">
 
-<!ENTITY tzdata-version "2016c">
-<!ENTITY tzdata-size "302 KB">
+<!ENTITY tzdata-version "2016d">
+<!ENTITY tzdata-size "308 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "0330ccd16140d3b6438a18dae9b34b93">
+<!ENTITY tzdata-md5 "14bf84b6c2cdab0a9428991e0150ebe6">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 
Index: patches.ent
===================================================================
--- patches.ent	(revision 60b23a6f5cdda494d55a3a186975220a744e6641)
+++ patches.ent	(revision 42130d6299b5d0cf916d085dac0a89c079ca52c0)
@@ -11,7 +11,7 @@
 <!ENTITY bc-memory-leak-patch-size "1.4 KB">
 
-<!ENTITY binutils-upstream-patch "binutils-&binutils-version;-upstream_fix-2.patch">
-<!ENTITY binutils-upstream-patch-md5 "33662839ab819acb58796c4c2db20631">
-<!ENTITY binutils-upstream-patch-size "13 KB">
+<!ENTITY binutils-upstream-patch "binutils-&binutils-version;-upstream_fixes-3.patch">
+<!ENTITY binutils-upstream-patch-md5 "a595deb0713739b75bc78cb225fa910d">
+<!ENTITY binutils-upstream-patch-size "29 KB">
 
 <!ENTITY bzip2-docs-patch "bzip2-&bzip2-version;-install_docs-1.patch">
@@ -27,4 +27,8 @@
 <!ENTITY glibc-fhs-patch-size "2.8 KB">
 
+<!ENTITY glibc-upstream-patch "glibc-&glibc-version;-upstream_fixes-1.patch">
+<!ENTITY glibc-upstream-patch-md5 "e602b6c3a332f4a06e2914e02ae2b295">
+<!ENTITY glibc-upstream-patch-size "16 KB">
+
 <!ENTITY kbd-backspace-patch "kbd-&kbd-version;-backspace-1.patch">
 <!ENTITY kbd-backspace-patch-md5 "f75cca16a38da6caa7d52151f7136895">