Index: stylesheets/lfs-xsl/lfs.css
===================================================================
--- stylesheets/lfs-xsl/lfs.css	(revision 5e423c80313e608e0f31fdb7a58dcb4ed7d6f8cc)
+++ stylesheets/lfs-xsl/lfs.css	(revision 44850bb9f2fdc6a9336c76e3f98b0c39632fbe95)
@@ -1,5 +1,5 @@
 /* Global settings */
 body {
-  font-family: verdana, tahoma, helvetica, arial, sans-serif;
+  font-family: verdana, tahoma, arial, sans-serif;
   text-align: left;
   background: #fff;
@@ -8,5 +8,5 @@
   padding: 0;
   font-size: 1em;
-  line-height: 1.2em
+  line-height: 1.2em;
 }
 
@@ -39,8 +39,34 @@
 }
 
-
-/* Sections */
-div.sect1, div.appendix {
-  padding-left: .3em;
+/* Section titles */
+h1.sect1, h1.preface, h1.part, h1.chapter, h1.appendix, .glossary h1, .index h1
+ {
+  background: #f5f6f7;
+  border-bottom: .1em solid #dbddec;
+  margin-bottom:1em;
+  margin-top: 0;
+  padding: .4em;
+}
+
+/* Scrolling parts
+   The header is taller for sect1 and chapter pages than on the
+   other pages.  Since we want fixed boxes, their top has to be calculated
+   by trial and errors to fit below the static header box.*/
+
+div.sect1, div.chapter, div.appendix, div.wrap {
+  top: 11.55em;
+}
+div.preface, div.part, .index div.index {
+  top: 10.15em;
+}
+div.sect1, div.appendix, div.preface, div.part, div.chapter, div.wrap, .index div.index {
+/*  padding-left: .3em;*/
+  overflow:auto;
+  height: auto;
+  position: fixed;
+  left:1em;
+  right:1em;
+  bottom: 1em;
+  border-bottom: 1em solid #dbddec;
 }
 
@@ -64,6 +90,10 @@
   border-bottom: 0.2em solid #dbddec;
   padding-top: .1em;
+/*  margin-top: 0;*/
+}
+/*
+.lfs .package p:first-child {
   margin-top: 0;
-}
+}*/
 
 .lfs .configuration {
@@ -75,8 +105,8 @@
   background: #f5f6f7;
   border-top: 0.2em solid #dbddec;
+  border-bottom: 0.2em solid #dbddec;
   padding-bottom: .1em;
-  margin-bottom: 0;
-}
-
+  margin-bottom: .5em;
+}
 
 /* Headers */
@@ -97,16 +127,4 @@
 }
 
-.preface h1, .part h1, .chapter h1, .appendix h1, .index h1, .sect1 h1, .glossary h1 {
-  background: #f5f6f7;
-  border-bottom: .1em solid #dbddec;
-  margin-bottom: 1em;
-  margin-top: 0;
-  padding: .4em;
-}
-
-.sect1 h1, .appendix h1 {
-  margin-left: -.2em;
-}
-
 .wrap h1 {
   background: #f5f6f7;
@@ -158,11 +176,17 @@
 
 div.navheader {
-  border-bottom: 1px solid #dbddec;
-   position: sticky;
-   top: 0;
-}
-
+  border-bottom: .1em solid #dbddec;
+}
+
+/* no need for a footer now that the header is always visible */
 div.navfooter {
-  border-top: 1px solid #dbddec;
+  display:none;
+}
+
+/* Except for the first page (TOC), where the bottom is the only
+   place where navigation is displayed. */
+
+div.book + div.navfooter {
+  display:block
 }
 
@@ -180,5 +204,5 @@
 
 div.navheader ul, div.navfooter ul {
-  padding: .2em .5em .5em 0;
+  padding: .2em .5em .5em .5em; /*top right bottom left*/
   margin: .5em 0;
   position: relative;
@@ -197,5 +221,5 @@
   text-align: left;
   padding: 0.2em 1em;
-  margin-left: 6px;
+  margin-left: .4em;
 }
 
@@ -204,7 +228,7 @@
   display: block;
   text-align: right;
-  right: 5px;
-  padding: 0.2em 0.5em;
-  margin-right: 7px;
+  right: 0;
+  padding: 0.2em 1em;
+  margin-right: .4em;
 }
 
@@ -212,5 +236,5 @@
 div.navheader ul li.next p, div.navfooter ul li.next p {
   padding: 0;
-  margin: 1px 0px;
+  margin: .1em 0;
 }
 
@@ -219,5 +243,5 @@
   text-align: center;
   padding: 0;
-  margin: 0px auto;
+  margin: 0 auto;
   display: block;
   color: #dbddec;
Index: stylesheets/lfs-xsl/xhtml/lfs-sections.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-sections.xsl	(revision 5e423c80313e608e0f31fdb7a58dcb4ed7d6f8cc)
+++ stylesheets/lfs-xsl/xhtml/lfs-sections.xsl	(revision 44850bb9f2fdc6a9336c76e3f98b0c39632fbe95)
@@ -12,8 +12,12 @@
 
     <!-- preface:
-           Output non sect1 child elements before the TOC -->
+         Output non sect1 child elements before the TOC
+         Output title outside of the <div> because we want to be able to
+         use it at a fixed position -->
     <!-- The original template is in {docbook-xsl}/xhtml/components.xsl -->
   <xsl:template match="preface">
     <xsl:call-template name="id.warning"/>
+    <xsl:call-template name="preface.titlepage"/>
+    <xsl:call-template name="component.separator"/>
     <div>
       <xsl:apply-templates select="." mode="class.attribute"/>
@@ -27,6 +31,4 @@
         </xsl:attribute>
       </xsl:if>
-      <xsl:call-template name="component.separator"/>
-      <xsl:call-template name="preface.titlepage"/>
       <xsl:apply-templates/>
       <xsl:variable name="toc.params">
@@ -45,9 +47,40 @@
   </xsl:template>
 
+    <!-- part:
+         Output non sect1 child elements before the TOC
+         Output title outside of the <div> because we want to be able to
+         use it at a fixed position -->
+    <!-- The original template is in {docbook-xsl}/xhtml/divisions.xsl -->
+  <xsl:template match="part">
+    <xsl:call-template name="id.warning"/>
+
+    <xsl:call-template name="part.titlepage"/>
+
+    <div>
+      <xsl:apply-templates select="." mode="common.html.attributes"/>
+      <xsl:call-template name="id.attribute">
+        <xsl:with-param name="conditional" select="0"/>
+      </xsl:call-template>
+
+      <xsl:apply-templates/>
+      <xsl:variable name="toc.params">
+        <xsl:call-template name="find.path.params">
+          <xsl:with-param name="table" select="normalize-space($generate.toc)"/>
+        </xsl:call-template>
+      </xsl:variable>
+      <xsl:if test="not(partintro) and contains($toc.params, 'toc')">
+        <xsl:call-template name="division.toc"/>
+      </xsl:if>
+    </div>
+  </xsl:template>
+
     <!-- chapter:
-           Output non sect1 child elements before the TOC -->
+           Output non sect1 child elements before the TOC
+           Output title before div to be able to fix the title position -->
     <!-- The original template is in {docbook-xsl}/xhtml/components.xsl -->
   <xsl:template match="chapter">
     <xsl:call-template name="id.warning"/>
+    <xsl:call-template name="chapter.titlepage"/>
+    <xsl:call-template name="component.separator"/>
     <div>
       <xsl:apply-templates select="." mode="class.attribute"/>
@@ -61,6 +94,4 @@
         </xsl:attribute>
       </xsl:if>
-      <xsl:call-template name="component.separator"/>
-      <xsl:call-template name="chapter.titlepage"/>
       <xsl:apply-templates/>
       <xsl:variable name="toc.params">
@@ -79,10 +110,48 @@
   </xsl:template>
 
+    <!-- appendix:
+           Output non sect1 child elements before the TOC
+           Output title before div to be able to fix the title position -->
+    <!-- The original template is in {docbook-xsl}/xhtml/components.xsl -->
+  <xsl:template match="appendix">
+
+    <xsl:call-template name="id.warning"/>
+
+    <xsl:call-template name="appendix.titlepage"/>
+
+    <xsl:element name="div" namespace="http://www.w3.org/1999/xhtml">
+      <xsl:call-template name="common.html.attributes">
+        <xsl:with-param name="inherit" select="1"/>
+      </xsl:call-template>
+      <xsl:call-template name="id.attribute">
+        <xsl:with-param name="conditional" select="0"/>
+      </xsl:call-template>
+
+      <xsl:apply-templates/>
+
+      <xsl:variable name="toc.params">
+        <xsl:call-template name="find.path.params">
+          <xsl:with-param name="table" select="normalize-space($generate.toc)"/>
+        </xsl:call-template>
+      </xsl:variable>
+
+      <xsl:if test="contains($toc.params, 'toc')">
+        <xsl:call-template name="component.toc">
+          <xsl:with-param name="toc.title.p" select="contains($toc.params, 'title')"/>
+        </xsl:call-template>
+      </xsl:if>
+
+    </xsl:element>
+  </xsl:template>
+
     <!-- sect1:
            When there is a role attibute, use it as the class value.
            Process the SVN keywords found in sect1info as a footnote.
+           Output title before the containing <div> so that the title
+           can be at a fixed position.
            Removed unused code. -->
     <!-- The original template is in {docbook-xsl}/xhtml/sections.xsl -->
   <xsl:template match="sect1">
+    <xsl:call-template name="sect1.titlepage"/>
     <div>
       <xsl:choose>
@@ -97,5 +166,4 @@
       </xsl:choose>
       <xsl:call-template name="language.attribute"/>
-      <xsl:call-template name="sect1.titlepage"/>
       <xsl:apply-templates/>
       <xsl:apply-templates select="sect1info" mode="svn-keys"/>