Index: chapter06/gzip.xml
===================================================================
--- chapter06/gzip.xml	(revision 2256873ba15ddcf930149aa7f48bba38802b0b48)
+++ chapter06/gzip.xml	(revision 47860dc06d3a7faaed4ffa96cb3692645073ec11)
@@ -76,5 +76,5 @@
 <term><command>gunzip</command></term>
 <listitem>
-<para>decompresses gzipped files</para>
+<para>Decompresses gzipped files</para>
 <indexterm zone="ch-system-gzip gunzip"><primary sortas="b-gunzip">gunzip</primary></indexterm>
 </listitem>
@@ -84,5 +84,5 @@
 <term><command>gzexe</command></term>
 <listitem>
-<para>creates self-uncompressing executable files</para>
+<para>Creates self-uncompressing executable files</para>
 <indexterm zone="ch-system-gzip gzexe"><primary sortas="b-gzexe">gzexe</primary></indexterm>
 </listitem>
@@ -92,5 +92,5 @@
 <term><command>gzip</command></term>
 <listitem>
-<para>compresses the given files using Lempel-Ziv (LZ77) coding</para>
+<para>Compresses the given files using Lempel-Ziv (LZ77) coding</para>
 <indexterm zone="ch-system-gzip gzip"><primary sortas="b-gzip">gzip</primary></indexterm>
 </listitem>
@@ -101,5 +101,5 @@
 <listitem>
 <para>Decompresses compressed files</para>
-<indexterm zone="ch-system-gzip znew"><primary sortas="b-znew">znew</primary></indexterm>
+<indexterm zone="ch-system-gzip uncompress"><primary sortas="b-uncompress">uncompress</primary></indexterm>
 </listitem>
 </varlistentry>
@@ -108,5 +108,5 @@
 <term><command>zcat</command></term>
 <listitem>
-<para>uncompresses the given gzipped files to standard output</para>
+<para>Uncompresses the given gzipped files to standard output</para>
 <indexterm zone="ch-system-gzip zcat"><primary sortas="b-zcat">zcat</primary></indexterm>
 </listitem>
@@ -116,5 +116,5 @@
 <term><command>zcmp</command></term>
 <listitem>
-<para>runs <command>cmp</command> on gzipped files</para>
+<para>Runs <command>cmp</command> on gzipped files</para>
 <indexterm zone="ch-system-gzip zcmp"><primary sortas="b-zcmp">zcmp</primary></indexterm>
 </listitem>
@@ -124,5 +124,5 @@
 <term><command>zdiff</command></term>
 <listitem>
-<para>runs <command>diff</command> on gzipped files</para>
+<para>Runs <command>diff</command> on gzipped files</para>
 <indexterm zone="ch-system-gzip zdiff"><primary sortas="b-zdiff">zdiff</primary></indexterm>
 </listitem>
@@ -132,5 +132,5 @@
 <term><command>zegrep</command></term>
 <listitem>
-<para>runs <command>egrep</command> on gzipped files</para>
+<para>Runs <command>egrep</command> on gzipped files</para>
 <indexterm zone="ch-system-gzip zegrep"><primary sortas="b-zegrep">zegrep</primary></indexterm>
 </listitem>
@@ -140,5 +140,5 @@
 <term><command>zfgrep</command></term>
 <listitem>
-<para>runs <command>fgrep</command> on gzipped files</para>
+<para>Runs <command>fgrep</command> on gzipped files</para>
 <indexterm zone="ch-system-gzip zfgrep"><primary sortas="b-zfgrep">zfgrep</primary></indexterm>
 </listitem>
@@ -148,5 +148,5 @@
 <term><command>zforce</command></term>
 <listitem>
-<para>forces a <filename class="extension">.gz</filename> extension on all given files
+<para>Forces a <filename class="extension">.gz</filename> extension on all given files
 that are gzipped files, so that <command>gzip</command> will not compress them again; this can be
 useful when file names were truncated during a file transfer</para>
@@ -158,5 +158,5 @@
 <term><command>zgrep</command></term>
 <listitem>
-<para>runs <command>grep</command> on gzipped files</para>
+<para>Runs <command>grep</command> on gzipped files</para>
 <indexterm zone="ch-system-gzip zgrep"><primary sortas="b-zgrep">zgrep</primary></indexterm>
 </listitem>
@@ -166,5 +166,5 @@
 <term><command>zless</command></term>
 <listitem>
-<para>runs <command>less</command> on gzipped files</para>
+<para>Runs <command>less</command> on gzipped files</para>
 <indexterm zone="ch-system-gzip zless"><primary sortas="b-zless">zless</primary></indexterm>
 </listitem>
@@ -174,5 +174,5 @@
 <term><command>zmore</command></term>
 <listitem>
-<para>runs <command>more</command> on gzipped files</para>
+<para>Runs <command>more</command> on gzipped files</para>
 <indexterm zone="ch-system-gzip zmore"><primary sortas="b-zmore">zmore</primary></indexterm>
 </listitem>
@@ -182,5 +182,5 @@
 <term><command>znew</command></term>
 <listitem>
-<para>re-compresses files from <command>compress</command> format to
+<para>Re-compresses files from <command>compress</command> format to
 <command>gzip</command> format&mdash;<filename class="extension">.Z</filename>
 to <filename class="extension">.gz</filename></para>
Index: chapter06/udev.xml
===================================================================
--- chapter06/udev.xml	(revision 2256873ba15ddcf930149aa7f48bba38802b0b48)
+++ chapter06/udev.xml	(revision 47860dc06d3a7faaed4ffa96cb3692645073ec11)
@@ -71,5 +71,5 @@
 <term><command>udev</command></term>
 <listitem>
-<para>creates device nodes in <filename
+<para>Creates device nodes in <filename
 class="directory">/dev</filename> or renames network interfaces (not
 in LFS) in response to hotplug events</para>
@@ -80,5 +80,5 @@
 <term><command>udevd</command></term>
 <listitem>
-<para>a daemon that reorders hotplug events before submitting them to
+<para>A daemon that reorders hotplug events before submitting them to
 <command>udev</command>,
 thus avoiding various race conditions</para>
@@ -89,5 +89,5 @@
 <term><command>udevsend</command></term>
 <listitem>
-<para>delivers hotplug events to <command>udevd</command></para>
+<para>Delivers hotplug events to <command>udevd</command></para>
 <indexterm zone="ch-system-udev udevsend"><primary sortas="b-udevsend">udevsend</primary></indexterm>
 </listitem></varlistentry>
@@ -96,5 +96,5 @@
 <term><command>udevstart</command></term>
 <listitem>
-<para>creates device nodes in <filename
+<para>Creates device nodes in <filename
 class="directory">/dev</filename> that correspond to drivers compiled directly
 into the kernel; it performs that task by simulating hotplug events presumably
@@ -109,5 +109,5 @@
 <term><command>udevinfo</command></term>
 <listitem>
-<para>allows users to query the <command>udev</command> database for
+<para>Allows users to query the <command>udev</command> database for
 information on any device currently present on the system; it also
 provides a way to query any device in the <systemitem
@@ -120,5 +120,5 @@
 <term><command>udevtest</command></term>
 <listitem>
-<para>simulates a <command>udev</command> run for the given device,
+<para>Simulates a <command>udev</command> run for the given device,
 and prints out the name of the node the real <command>udev</command> would
 have created or (not in LFS) the name of the renamed network interface</para>
@@ -129,5 +129,5 @@
 <term><filename class="directory">/etc/udev</filename></term>
 <listitem>
-<para>contains <command>udev</command> configuation files,
+<para>Contains <command>udev</command> configuation files,
 device permissions, and rules for device naming</para>
 <indexterm zone="ch-system-udev etc-udev"><primary sortas="e-etc-udev">/etc/udev</primary></indexterm>