Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 35ad6631746c316d169e3a2673cfdd0c635867b7)
+++ chapter01/changelog.xml	(revision 49170b0a844cd67a78b0ec76af867a7cf34d559f)
@@ -47,4 +47,27 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - LFS-11.0-rc3 released.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.46.4. Fixes
+          <ulink url="&lfs-ticket-root;4910">#4910</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.59.1. Fixes
+          <ulink url="&lfs-ticket-root;4909">#4909</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux 2.37.2. Fixes
+          <ulink url="&lfs-ticket-root;4908">#4908</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.13.12. Fixes
+          <ulink url="&lfs-ticket-root;4907">#4907</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.53. Fixes
+          <ulink url="&lfs-ticket-root;4906">#4906</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[xry111] - Update to openssl-1.1.1l (security fixes). Fixes
           <ulink url="&lfs-ticket-root;4911">#4911</ulink>.</para>
Index: chapter08/e2fsprogs.xml
===================================================================
--- chapter08/e2fsprogs.xml	(revision 35ad6631746c316d169e3a2673cfdd0c635867b7)
+++ chapter08/e2fsprogs.xml	(revision 49170b0a844cd67a78b0ec76af867a7cf34d559f)
@@ -93,4 +93,6 @@
 
 <screen><userinput remap="test">make check</userinput></screen>
+
+    <para>One test, u_direct_io, is known to fail on some systems.</para>
 
 <!-- This is a ridiculous amount now! And is it still true?
Index: packages.ent
===================================================================
--- packages.ent	(revision 35ad6631746c316d169e3a2673cfdd0c635867b7)
+++ packages.ent	(revision 49170b0a844cd67a78b0ec76af867a7cf34d559f)
@@ -141,8 +141,8 @@
 <!ENTITY diffutils-fin-sbu "0.7 SBU">
 
-<!ENTITY e2fsprogs-version "1.46.3">
-<!ENTITY e2fsprogs-size "9,2688 KB">
+<!ENTITY e2fsprogs-version "1.46.4">
+<!ENTITY e2fsprogs-size "9,298 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "0edcffc4b601a4191bfa152f61b406b2">
+<!ENTITY e2fsprogs-md5 "128f5b0f0746b28d1e3ca7e263c57094">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-fin-du "93 MB">
@@ -395,8 +395,8 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.52">
-<!ENTITY libcap-size "155 KB">
+<!ENTITY libcap-version "2.53">
+<!ENTITY libcap-size "153 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "91548d37bbb5b706928bc3b3bb0e22ac">
+<!ENTITY libcap-md5 "094994d4554c6689cf98ae4f717b8e19">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "3.2 MB">
@@ -429,10 +429,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "13">
-<!ENTITY linux-patch-version "10">
+<!ENTITY linux-patch-version "12">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "116,553 KB">
+<!ENTITY linux-size "116,545 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "951672e89ffa0a2f32ea34732ee85f3f">
+<!ENTITY linux-md5 "6e1728b2021ca19cc9273f080e6c44c7">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -492,8 +492,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.59.0">
-<!ENTITY meson-size "1,896 KB">
+<!ENTITY meson-version "0.59.1">
+<!ENTITY meson-size "1,900 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "bb8bf3898afefc8272989e4be8ff0a5b">
+<!ENTITY meson-md5 "9c8135ecde820094be2f42f457fb6535">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "40 MB">
@@ -711,8 +711,8 @@
 
 <!ENTITY util-linux-minor "2.37">
-<!ENTITY util-linux-version "2.37.1"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "5,497 KB">
+<!ENTITY util-linux-version "2.37.2"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "5,490 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "6d244f0f59247e9109f47d6e5dd0556b">
+<!ENTITY util-linux-md5 "d659bf7cd417d93dc609872f6334b019">
 <!ENTITY util-linux-home "https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git/">
 <!ENTITY util-linux-tmp-du "128 MB">