Index: chapter11/afterlfs.xml
===================================================================
--- chapter11/afterlfs.xml	(revision 46b05a0832adca10a2afe5474642ad38521cf0d5)
+++ chapter11/afterlfs.xml	(revision 59350d1c7b902e47c30cc12520b105c04a38d826)
@@ -25,8 +25,8 @@
      <para>
         A server is the simpler category. Generally this consists of a web
-        server such as the 
+        server such as the
         <ulink url="&blfs-book;server/apache.html">Apache HTTP Server</ulink>
         and a database server such as
-        <ulink url="&blfs-book;server/mariadb.html">MariaDB</ulink>. 
+        <ulink url="&blfs-book;server/mariadb.html">MariaDB</ulink>.
         However other services are possible. The operating system
         embedded in a single use device falls into this category.
@@ -35,16 +35,16 @@
      <para>
         On the other hand, a workstation is much more complex. It generally
-        requires a graphical user environment such as 
-        <ulink url="&blfs-book;lxde/lxde.html">LXDE</ulink>, 
-        <ulink url="&blfs-book;xfce/xfce.html">XFCE</ulink>, 
-        <ulink url="&blfs-book;kde/kde.html">KDE</ulink>, or 
+        requires a graphical user environment such as
+        <ulink url="&blfs-book;lxde/lxde.html">LXDE</ulink>,
+        <ulink url="&blfs-book;xfce/xfce.html">XFCE</ulink>,
+        <ulink url="&blfs-book;kde/kde.html">KDE</ulink>, or
         <ulink url="&blfs-book;gnome/gnome.html">Gnome</ulink>
-        based on the 
+        based on the
         <ulink url="&blfs-book;x/installing.html">X Window graphical environment</ulink>
         and several graphical based applications such as the
-        <ulink url="&blfs-book;xsoft/firefox.html">Firefox web browser</ulink>, 
+        <ulink url="&blfs-book;xsoft/firefox.html">Firefox web browser</ulink>,
         <ulink url="&blfs-book;xsoft/thunderbird.html">Thunderbird email client</ulink>,
-        or 
-        <ulink url="&blfs-book;xsoft/libreoffice.html">LibreOffice office suite</ulink>. 
+        or
+        <ulink url="&blfs-book;xsoft/libreoffice.html">LibreOffice office suite</ulink>.
         These applications require many (several hundred depending on
         desired capabilities) more packages of support applications and
@@ -56,8 +56,8 @@
         suitable for all systems for system management. These applications are
         all in the full BLFS book. Not
-        all packages are needed in all environments. For example 
-        <ulink url="&blfs-book;basicnet/dhcpcd.html">dhcpcd</ulink>, 
-        is not appropriate for a server and 
-        <ulink url="&blfs-book;basicnet/wireless_tools.html">wireless_tools</ulink>, 
+        all packages are needed in all environments. For example
+        <ulink url="&blfs-book;basicnet/dhcpcd.html">dhcpcd</ulink>,
+        is not appropriate for a server and
+        <ulink url="&blfs-book;basicnet/wireless_tools.html">wireless_tools</ulink>,
         are normally only
         useful for a laptop system. If you are not sure if a package presented
@@ -74,5 +74,5 @@
       When you initially boot into LFS, you have all the internal tools to build
       additional packages. Unfortunately, the user environment is quite sparse.
-      There are a couple of ways to improve this: 
+      There are a couple of ways to improve this:
     </para>
 
@@ -91,5 +91,5 @@
        In order to properly build packages in chroot, you will also need to
        remember to mount the virtual file systems if they are not already
-       mounted. One way to do this is to create a script on the 
+       mounted. One way to do this is to create a script on the
        <command>HOST</command> system:
     </para>
@@ -101,5 +101,5 @@
 {
    if ! mountpoint $LFS/$1 >/dev/null; then
-     $SUDO mount - -bind /$1 $LFS/$1 
+     $SUDO mount --bind /$1 $LFS/$1
      echo $LFS/$1 mounted
    else
@@ -111,5 +111,5 @@
 {
    if ! mountpoint $LFS/$1 >/dev/null; then
-     $SUDO mount -t $2 $3 $4 $5 $LFS/$1 
+     $SUDO mount -t $2 $3 $4 $5 $LFS/$1
      echo $LFS/$1 mounted
    else
@@ -129,5 +129,5 @@
 fi
 
-mountbind dev 
+mountbind dev
 mounttype dev/pts devpts devpts -o gid=5,mode=620
 mounttype proc    proc   proc
@@ -143,5 +143,5 @@
        Note that the last three commands in the script are commented out. These
        are useful if those directories are mounted as separate partitions on the
-       host system and will be mounted when booting the completed LFS/BLFS system. 
+       host system and will be mounted when booting the completed LFS/BLFS system.
     </para>
 
@@ -167,6 +167,6 @@
     </para>
 
-<screen><command>alias lfs='sudo /usr/sbin/chroot /mnt/lfs /usr/bin/env -i HOME=/root TERM="$TERM" PS1="\u:\w\\\\$ " 
-PATH=/bin:/usr/bin:/sbin:/usr/sbin /bin/bash - -login'</command></screen>
+<screen><command>alias lfs='sudo /usr/sbin/chroot /mnt/lfs /usr/bin/env -i HOME=/root TERM="$TERM" PS1="\u:\w\\\\$ "
+PATH=/bin:/usr/bin:/sbin:/usr/sbin /bin/bash --login'</command></screen>
 
      <para>
@@ -183,12 +183,12 @@
     <para>
        This method also provides a full graphical environment, but first
-       requires installing 
+       requires installing
         <ulink url="&blfs-book;postlfs/openssh.html">sshd</ulink> and
-        <ulink url="&blfs-book;basicnet/wget.html">wget</ulink> 
+        <ulink url="&blfs-book;basicnet/wget.html">wget</ulink>
        on the LFS system, usually in chroot. It also requires a second
        computer. This method has the advantage of being simple by not requiring
        the complexity of the chroot environment. It also uses your LFS built
        kernel for all additional packages and still provides a complete system
-       for installing packages. 
+       for installing packages.
     </para>
 
@@ -199,16 +199,16 @@
 
     <para>
-       This method requiures installing 
+       This method requiures installing
         <ulink url="&blfs-book;postlfs/make-ca.html">make-ca</ulink>,
-        <ulink url="&blfs-book;basicnet/wget.html">wget</ulink>, 
+        <ulink url="&blfs-book;basicnet/wget.html">wget</ulink>,
         <ulink url="&blfs-book;general/gpm.html">gpm</ulink>, and
         <ulink url="&blfs-book;basicnet/links">links</ulink>
-       in chroot and then rebooting into the new LFS system. At this 
-       point the default system has six virtual consoles. Switching 
+       in chroot and then rebooting into the new LFS system. At this
+       point the default system has six virtual consoles. Switching
        consoles is as easy as using the Alt-Fn key combinations where Fn is
        between F1 and F6.  The Alt-LeftArrow and Alt-RightArrow key
        combinations also will change the console.
      </para>
-     
+
      <para>
        At this point you can log into two different virtual consoles and run