Index: chapter05/binutils-pass1.xml
===================================================================
--- chapter05/binutils-pass1.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter05/binutils-pass1.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>binutils</productname>
+    <productname>binutils-pass1</productname>
     <productnumber>&binutils-version;</productnumber>
     <address>&binutils-url;</address>
Index: chapter05/binutils-pass2.xml
===================================================================
--- chapter05/binutils-pass2.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter05/binutils-pass2.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>binutils</productname>
+    <productname>binutils-pass2</productname>
     <productnumber>&binutils-version;</productnumber>
     <address>&binutils-url;</address>
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter05/gcc-pass1.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>gcc</productname>
+    <productname>gcc-pass1</productname>
     <productnumber>&gcc-version;</productnumber>
     <address>&gcc-url;</address>
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter05/gcc-pass2.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>gcc</productname>
+    <productname>gcc-pass2</productname>
     <productnumber>&gcc-version;</productnumber>
     <address>&gcc-url;</address>
Index: chapter05/libstdc++.xml
===================================================================
--- chapter05/libstdc++.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter05/libstdc++.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>gcc</productname>
+    <productname>gcc-libstdc++</productname>
     <productnumber>&gcc-version;</productnumber>
     <address>&gcc-url;</address>
Index: chapter05/linux-headers.xml
===================================================================
--- chapter05/linux-headers.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter05/linux-headers.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>linux</productname>
+    <productname>linux-headers</productname>
     <productnumber>&linux-version;</productnumber>
     <address>&linux-url;</address>
Index: chapter05/python.xml
===================================================================
--- chapter05/python.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter05/python.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -43,4 +43,11 @@
   <sect2 role="installation">
     <title>Installation of Python</title>
+
+    <note>
+      <para>There are two package files whose name starts with
+      <quote>python</quote>. The one to extract from is
+      <filename>Python-&python-version;.tar.xz</filename> (notice the
+      uppercase first letter).</para>
+    </note>
 
     <para>This package first builds the Python interpreter, then some
Index: chapter06/linux-headers.xml
===================================================================
--- chapter06/linux-headers.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter06/linux-headers.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>linux</productname>
+    <productname>linux-headers</productname>
     <productnumber>&linux-version;</productnumber>
     <address>&linux-url;</address>
Index: chapter06/pkgconfig.xml
===================================================================
--- chapter06/pkgconfig.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter06/pkgconfig.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>pkgconfig</productname>
+    <productname>pkg-config</productname>
     <productnumber>&pkgconfig-version;</productnumber>
     <address>&pkgconfig-url;</address>
Index: chapter07/bootscripts.xml
===================================================================
--- chapter07/bootscripts.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter07/bootscripts.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>lfs-bootscripts</productname>
+    <productname>bootscripts</productname>
     <productnumber>&lfs-bootscripts-version;</productnumber>
     <address>&lfs-bootscripts-url;</address>
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision ffce2153cb4819876d3e2479ed5b1df6c386f055)
+++ chapter08/kernel.xml	(revision 60970f99da04cfd29d2e92745d9e6d333c3e5efb)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>linux</productname>
+    <productname>kernel</productname>
     <productnumber>&linux-version;</productnumber>
     <address>&linux-url;</address>