Index: INSTALL
===================================================================
--- INSTALL	(revision 9a178619b934f7dca245c7cebd63dbebc4039c3b)
+++ INSTALL	(revision 61707b171ecaedfc9141b30e35242bef94ebbc70)
@@ -7,5 +7,5 @@
 submission to the lfs-book or lfs-dev mailing lists, then you do not need this 
 document.  Instead, you need to read the LFS Editor's Manual.  See the LFS 
-website at http://www.linuxfromscratch.org for more information.
+website at https://www.linuxfromscratch.org for more information.
 
 -------------------------------------------------------------------------------
@@ -14,17 +14,17 @@
 
 * libxml2
-  - http://www.linuxfromscratch.org/blfs/view/svn/general/libxml2.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/general/libxml2.html
 
 * libxslt
-  - http://www.linuxfromscratch.org/blfs/view/svn/general/libxslt.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/general/libxslt.html
 
 * DocBook DTD 
-  - http://www.linuxfromscratch.org/blfs/view/svn/pst/xml.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/pst/xml.html
 
 * DocBook XSL Stylesheets 
-  - http://www.linuxfromscratch.org/blfs/view/svn/pst/docbook-xsl.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/pst/docbook-xsl.html
 
 * HTMLTidy
-  - http://www.linuxfromscratch.org/blfs/view/svn/general/tidy-html5.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/general/tidy-html5.html
 
 ------------------------------------------------------------------------------- 
@@ -34,5 +34,5 @@
 
 * lynx
-  - http://www.linuxfromscratch.org/blfs/view/svn/basicnet/lynx.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/basicnet/lynx.html
 
 ------------------------------------------------------------------------------- 
@@ -42,6 +42,6 @@
 
 * JDK
-  - http://www.linuxfromscratch.org/blfs/view/svn/general/openjdk.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/general/openjdk.html
 
 * FOP and JAI
-  - http://www.linuxfromscratch.org/blfs/view/svn/pst/fop.html
+  - https://www.linuxfromscratch.org/blfs/view/svn/pst/fop.html
Index: chapter01/resources.xml
===================================================================
--- chapter01/resources.xml	(revision 9a178619b934f7dca245c7cebd63dbebc4039c3b)
+++ chapter01/resources.xml	(revision 61707b171ecaedfc9141b30e35242bef94ebbc70)
@@ -68,5 +68,5 @@
     <para>For additional information on the packages, useful tips are
     available in the LFS Package Reference page located at <ulink
-    url="http://www.linuxfromscratch.org/~matthew/LFS-references.html"/>.</para>
+    url="https://www.linuxfromscratch.org/~matthew/LFS-references.html"/>.</para>
 
   </sect2>  -->
Index: chapter03/introduction.xml
===================================================================
--- chapter03/introduction.xml	(revision 9a178619b934f7dca245c7cebd63dbebc4039c3b)
+++ chapter03/introduction.xml	(revision 61707b171ecaedfc9141b30e35242bef94ebbc70)
@@ -61,5 +61,5 @@
       <para>For stable versions of the book, a tarball of all the needed files 
       can be downloaded from one of the LFS files mirrors listed at
-      <ulink url="http://www.linuxfromscratch.org/mirrors.html#files"/>.</para>
+      <ulink url="https://www.linuxfromscratch.org/mirrors.html#files"/>.</para>
     </listitem>
     <listitem>
Index: general.ent
===================================================================
--- general.ent	(revision 9a178619b934f7dca245c7cebd63dbebc4039c3b)
+++ general.ent	(revision 61707b171ecaedfc9141b30e35242bef94ebbc70)
@@ -21,5 +21,5 @@
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY lfs-root        "https://rivendell.linuxfromscratch.org/">
+<!ENTITY lfs-root        "https://www.linuxfromscratch.org/">
 <!ENTITY blfs-root       "&lfs-root;blfs/">
 <!ENTITY blfs-book       "&blfs-root;view/&short-version;/">
@@ -39,5 +39,5 @@
 <!ENTITY erratad         "&lfs-root;lfs/errata/&generic-versiond;/">
 
-<!ENTITY lfs-ticket-root "http://wiki.linuxfromscratch.org/lfs/ticket/">
+<!ENTITY lfs-ticket-root "https://wiki.linuxfromscratch.org/lfs/ticket/">
 
 <!ENTITY anduin-sources  "http://anduin.linuxfromscratch.org/LFS">
Index: prologue/architecture.xml
===================================================================
--- prologue/architecture.xml	(revision 9a178619b934f7dca245c7cebd63dbebc4039c3b)
+++ prologue/architecture.xml	(revision 61707b171ecaedfc9141b30e35242bef94ebbc70)
@@ -45,5 +45,5 @@
 straightforward base Linux system. Some LFS/BLFS editors maintain a fork
 of LFS for multilib, which is accessible at <ulink
-url="http://www.linuxfromscratch.org/~thomas/multilib/index.html"/>. But it
+url="https://www.linuxfromscratch.org/~thomas/multilib/index.html"/>. But it
 is an advanced topic.</para>
 