Index: appendixa/automake-dep.xml
===================================================================
--- appendixa/automake-dep.xml	(revision 9f155018a6f72a06fab0dcd82c350d36a93922f5)
+++ appendixa/automake-dep.xml	(revision 62097a44fcb1d5472eb0882202872f15645d704d)
@@ -1,2 +1,4 @@
+<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+
 <sect2>
 <title>Automake Installation Dependencies</title>
Index: appendixa/automake-desc.xml
===================================================================
--- appendixa/automake-desc.xml	(revision 9f155018a6f72a06fab0dcd82c350d36a93922f5)
+++ appendixa/automake-desc.xml	(revision 62097a44fcb1d5472eb0882202872f15645d704d)
@@ -1,12 +1,9 @@
-<sect2><title>Contents of Automake</title>
+<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+
+<sect2><title>Descriptions</title>
 
 <para>Last checked against version &automake-contversion;.</para>
 
-<sect3><title>Program Files</title>
-<para>acinstall, aclocal, aclocal-1.6, automake, automake-1.6,
-compile, config.guess, config.sub, depcomp, elisp-comp, install-sh,
-mdate-sh, missing, mkinstalldirs, py-compile, ylwrap</para></sect3>
-
-<sect3><title>Descriptions</title>
+<sect3><title>Program file descriptions</title>
 
 <sect4><title>acinstall</title>
@@ -26,8 +23,9 @@
 
 <sect4><title>automake, automake-1.6</title>
-<para>To create all the Makefile.in's for a package, run the automake
-program in the top level directory, with no arguments. automake will
-automatically find each appropriate Makefile.am (by scanning
-configure.in) and generate the corresponding Makefile.in.</para></sect4>
+<para>To create all the Makefile.in files for a package, run the
+automake program in the top level directory, with no
+arguments. automake will automatically find each appropriate
+Makefile.am (by scanning configure.in) and generate the corresponding
+Makefile.in.</para></sect4> 
 
 <sect4><title>compile</title>
Index: appendixa/automake-shortdesc.xml
===================================================================
--- appendixa/automake-shortdesc.xml	(revision 62097a44fcb1d5472eb0882202872f15645d704d)
+++ appendixa/automake-shortdesc.xml	(revision 62097a44fcb1d5472eb0882202872f15645d704d)
@@ -0,0 +1,13 @@
+<sect2><title>Contents of Automake</title>
+
+<para>Last checked against version &automake-contversion;.</para>
+
+<para>Automake generates Makefile.in files, intended for use with Autoconf.</para>
+<para>Modutils installs the following:</para>
+
+<sect3><title>Program Files</title>
+<para>acinstall, aclocal, aclocal-1.6, automake, automake-1.6,
+compile, config.guess, config.sub, depcomp, elisp-comp, install-sh,
+mdate-sh, missing, mkinstalldirs, py-compile, ylwrap</para></sect3>
+
+</sect2>
Index: appendixa/automake.xml
===================================================================
--- appendixa/automake.xml	(revision 9f155018a6f72a06fab0dcd82c350d36a93922f5)
+++ appendixa/automake.xml	(revision 62097a44fcb1d5472eb0882202872f15645d704d)
@@ -4,4 +4,5 @@
 
 &aa-automake-down;
+&aa-automake-shortdesc;
 &aa-automake-desc;
 &aa-automake-dep;
Index: chapter06/automake-inst.xml
===================================================================
--- chapter06/automake-inst.xml	(revision 9f155018a6f72a06fab0dcd82c350d36a93922f5)
+++ chapter06/automake-inst.xml	(revision 62097a44fcb1d5472eb0882202872f15645d704d)
@@ -1,11 +1,20 @@
+<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+
 <sect2>
 <title>Installation of Automake</title>
 
-<para>Install Automake by running the following commands:</para>
+<para>Prepare Automake to be compiled:</para>
 
-<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
-make install &amp;&amp;
+<para><screen><userinput>
+./configure --prefix=/usr</userinput></screen></para>
+
+<para>Continue with compiling and installing the package:</para>
+
+<para><screen><userinput>make install</userinput></screen></para>
+
+<para>Create necessary symbolic link:</para>
+
+<para><screen><userinput>
 ln -s automake-1.7 /usr/share/automake</userinput></screen></para>
 
 </sect2>
-
Index: chapter06/automake.xml
===================================================================
--- chapter06/automake.xml	(revision 9f155018a6f72a06fab0dcd82c350d36a93922f5)
+++ chapter06/automake.xml	(revision 62097a44fcb1d5472eb0882202872f15645d704d)
@@ -6,7 +6,7 @@
 Estimated required disk space:  &automake-compsize;</screen>
 
+&aa-automake-shortdesc;
+&aa-automake-dep;
 &c6-automake-inst;
-&aa-automake-desc;
-&aa-automake-dep;
 
 </sect1>
Index: entities/automake.ent
===================================================================
--- entities/automake.ent	(revision 9f155018a6f72a06fab0dcd82c350d36a93922f5)
+++ entities/automake.ent	(revision 62097a44fcb1d5472eb0882202872f15645d704d)
@@ -5,4 +5,5 @@
 
 <!ENTITY aa-automake SYSTEM "../appendixa/automake.xml">
+<!ENTITY aa-automake-shortdesc SYSTEM "../appendixa/automake-shortdesc.xml">
 <!ENTITY aa-automake-desc SYSTEM "../appendixa/automake-desc.xml">
 <!ENTITY aa-automake-dep SYSTEM "../appendixa/automake-dep.xml">